Subject: Terminology discussion threads

From: IETF Chair <[email-masked]>
Date: Tue, 11 Aug 2020 14:02:21 -0400

Hi all,

As stated on July 23, 2020, the IESG believes the use of oppressive or exclusionary language is harmful. Such terminology is present in some IETF documents, including standards-track RFCs, and has been for many years. It is at odds with our objective of creating an inclusive and respectful environment in the IETF, and among readers of our documents.

Since the publication of the July 23 IESG statement, there has been significant discussion of this topic on [email-masked] as well as discussion of a related Internet-draft, draft-knodel-terminology, during the GENDISPATCH working group session at IETF 108. One suggestion made on [email-masked] [1] that received support from other members of the community was to explore and reference how other organizations and communities are approaching this issue. Based on this suggestion, I will be working together with the authors of draft-knodel-terminology to create an online resource that lists references to other organizations’ and communities’ approaches. The resource will provide tips for document authors and reviewers to assist them in identifying instances where usage of metaphors can be made more clear and accurate and less exclusionary. This resource will not be in the form of an Internet-draft but rather will be a more easily updatable repository or wiki page.

The continued [email-masked] email list discussion on this topic is not benefitting anyone and is actively harmful in our collective pursuit of an inclusive and respectful IETF. By contrast, the brief discussion that occurred during the GENDISPATCH session at IETF 108 was cordial and constructive. On August 7, I requested [2] that participants put aside their email commentary in anticipation of a to-be-scheduled GENDISPATCH interim meeting where this topic will next be discussed. That request was ignored. 

After consultation with the sergeants-at-arms and the IESG, I have made the decision under RFC 3005 to block postings of further messages to [email-masked] in threads with the following subject lines:

IESG Statement On Oppressive or Exclusionary Language
USA dominion: Re: IESG Statement On Oppressive or Exclusionary Language
Some more thoughts about language and what to do next

Per the sergeants-at-arms standard operating procedures [3], anyone who changes the subject line and posts a substantive message on this same topic to [email-masked] will receive a Level 1 response from the sergeants-at-arms. In the Level 1 response we will indicate that if the original poster sends another message on this topic to [email-masked], the poster will receive a Level 2 response, including a 14-day suspension of posting rights from [email-masked].

The community’s energy on this topic will be most productively spent by providing feedback during the GENDISPATCH interim about the resource mentioned above once it exists. The GENDISPATCH chairs will be working on scheduling the interim when they are both back from vacation. Once the GENDISPATCH interim takes place, the decision to restrict postings in the [email-masked] threads listed above will be revisited.

Regards,
Alissa Cooper
IETF Chair

[1] https://mailarchive.ietf.org/arch/msg/ietf/rWblxY7uzMkZtFriVGaIxB0Jy_Q/
[2] https://mailarchive.ietf.org/arch/msg/ietf/NbPi05FzPbebNALxuvJskGyHbSM/ 
[3] https://github.com/ietf/saa/blob/master/sop.md

---

From: Lars Eggert <[email-masked]>
Date: Tue, 11 Aug 2020 21:07:28 +0300

> After consultation with the sergeants-at-arms and the IESG, I have made the decision under RFC 3005 to block postings of further messages to [email-masked] in threads with the following subject lin…

*THANK YOU* for this action!

Lars

---

From: Richard Barnes <[email-masked]>
Date: Tue, 11 Aug 2020 14:09:04 -0400

+1

On Tue, Aug 11, 2020 at 14:08 Lars Eggert <[email-masked]> wrote:

> > After consultation with the sergeants-at-arms and the IESG, I have made
> the decision under RFC 3005 to block postings of further messages to
> [email-masked] in threads with the following subject lines:
>
>
>

---

From: David Schinazi <[email-masked]>
Date: Tue, 11 Aug 2020 11:24:10 -0700

+1. Thank you.

David

---

From: "STARK, BARBARA H" <[email-masked]>
Date: Tue, 11 Aug 2020 18:24:49 +0000

> *THANK YOU* for this action!

+1
Looking forward to productive discussion under the leadership of our awesome gendispatch chairs.
Barbara

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 11 Aug 2020 11:25:49 -0700

Thank you. It's about time.

---

From: Melinda Shore <[email-masked]>
Date: Tue, 11 Aug 2020 10:36:24 -0800

Excellent - thank you.

Melinda

-- 
Software longa, hardware brevis

PGP key fingerprint  4F68 2D93 2A17 96F8 20F2
                     34C0 DFB8 9172 9A76 DB8F

---

From: Ted Hardie <[email-masked]>
Date: Tue, 11 Aug 2020 12:07:10 -0700

Thanks for taking this action.  I think taking this to a GENDISPATCH
interim is a good alternative venue for the next steps here.

regards,

Ted

On Tue, Aug 11, 2020 at 11:03 AM IETF Chair <[email-masked]> wrote:

> Hi all,
>
> As stated on July 23, 2020, the IESG believes the use of oppressive or
> exclusionary language is harmful. Such terminology is present in some IETF
> documents, including standards-track RFCs, and has been for many years. It
> is at odds with our objective of creating an inclusive and respectful
> environment in the IETF, and among readers of our documents.
>
> Since the publication of the July 23 IESG statement, there has been
> significant discussion of this topic on [email-masked] as well as
> discussion of a related Internet-draft, draft-knodel-terminology, during
> the GENDISPATCH working group session at IETF 108. One suggestion made on
> [email-masked] [1] that received support from other members of the
> community was to explore and reference how other organizations and
> communities are approaching this issue. Based on this suggestion, I will be
> working together with the authors of draft-knodel-terminology to create an
> online resource that lists references to other organizations’ and
> communities’ approaches. The resource will provide tips for document
> authors and reviewers to assist them in identifying instances where usage
> of metaphors can be made more clear and accurate and less exclusionary.
> This resource will not be in the form of an Internet-draft but rather will
> be a more easily updatable repository or wiki page.
>
> The continued [email-masked] email list discussion on this topic is not
> benefitting anyone and is actively harmful in our collective pursuit of an
> inclusive and respectful IETF. By contrast, the brief discussion that
> occurred during the GENDISPATCH session at IETF 108 was cordial and
> constructive. On August 7, I requested [2] that participants put aside
> their email commentary in anticipation of a to-be-scheduled GENDISPATCH
> interim meeting where this topic will next be discussed. That request was
> ignored.
>
> Per the sergeants-at-arms standard operating procedures [3], anyone who
> changes the subject line and posts a substantive message on this same topic
> to [email-masked] will receive a Level 1 response from the
> sergeants-at-arms. In the Level 1 response we will indicate that if the
> original poster sends another message on this topic to [email-masked], the
> poster will receive a Level 2 response, including a 14-day suspension of
> posting rights from [email-masked].
>
> The community’s energy on this topic will be most productively spent by
> providing feedback during the GENDISPATCH interim about the resource
> mentioned above once it exists. The GENDISPATCH chairs will be working on
> scheduling the interim when they are both back from vacation. Once the
> GENDISPATCH interim takes place, the decision to restrict postings in the
> [email-masked] threads listed above will be revisited.
>
> Regards,
> Alissa Cooper
> IETF Chair
>
> [1]
> https://mailarchive.ietf.org/arch/msg/ietf/rWblxY7uzMkZtFriVGaIxB0Jy_Q/
> [2]
> https://mailarchive.ietf.org/arch/msg/ietf/NbPi05FzPbebNALxuvJskGyHbSM/

---

From: Suresh Krishnan <[email-masked]>
Date: Tue, 11 Aug 2020 15:40:22 -0400

+1. I think having a discussion at gendispatch seems to be a good path forward.

Thanks
Suresh

> On Aug 11, 2020, at 3:07 PM, Ted Hardie <[email-masked]> wrote:
> 
> Thanks for taking this action.  I think taking this to a GENDISPATCH interim is a good alternative venue for the next steps here.
> 
> regards,
> 
> Ted
> 
> On Tue, Aug 11, 2020 at 11:03 AM IETF Chair <[email-masked] <mailto:[email-masked]>> wrote:
> Hi all,
> 
> Since the publication of the July 23 IESG statement, there has been significant discussion of this topic on [email-masked] <mailto:[email-masked]> as well as discussion of a related Internet-draft, draft-knodel-terminology, during the GENDISPATCH working group session at IETF 108. One suggestion made on [email-masked] <mailto:[email-masked]> [1] that received support from other members of the community was to explore and reference how other organizations and communities are approaching this issue. Based on this suggestion, I will be working together with the authors of draft-knodel-terminology to create an online resource that lists references to other organizations’ and communities’ approaches. The resource will provide tips for document authors and reviewers to assist them in identifying instances where usage of metaphors can be made more clear and accurate and less exclusionary. This resource will not be in the form of an Internet-draft but rather will be a more easily updatable repository or wiki page.
> 
> The continued [email-masked] <mailto:[email-masked]> email list discussion on this topic is not benefitting anyone and is actively harmful in our collective pursuit of an inclusive and respectful IETF. By contrast, the brief discussion that occurred during the GENDISPATCH session at IETF 108 was cordial and constructive. On August 7, I requested [2] that participants put aside their email commentary in anticipation of a to-be-scheduled GENDISPATCH interim meeting where this topic will next be discussed. That request was ignored. 
> 
> After consultation with the sergeants-at-arms and the IESG, I have made the decision under RFC 3005 to block postings of further messages to [email-masked] <mailto:[email-masked]> in threads with the following subject lines:
> 
> Per the sergeants-at-arms standard operating procedures [3], anyone who changes the subject line and posts a substantive message on this same topic to [email-masked] <mailto:[email-masked]> will receive a Level 1 response from the sergeants-at-arms. In the Level 1 response we will indicate that if the original poster sends another message on this topic to [email-masked] <mailto:[email-masked]>, the poster will receive a Level 2 response, including a 14-day suspension of posting rights from [email-masked] <mailto:[email-masked]>.
> 
> The community’s energy on this topic will be most productively spent by providing feedback during the GENDISPATCH interim about the resource mentioned above once it exists. The GENDISPATCH chairs will be working on scheduling the interim when they are both back from vacation. Once the GENDISPATCH interim takes place, the decision to restrict postings in the [email-masked] <mailto:[email-masked]> threads listed above will be revisited.
> 
> Regards,
> Alissa Cooper
> IETF Chair
> 
> [1] https://mailarchive.ietf.org/arch/msg/ietf/rWblxY7uzMkZtFriVGaIxB0Jy_Q/ <https://mailarchive.ietf.org/arch/msg/ietf/rWblxY7uzMkZtFriVGaIxB0Jy_Q/>
> [2] https://mailarchive.ietf.org/arch/msg/ietf/NbPi05FzPbebNALxuvJskGyHbSM/ <https://mailarchive.ietf.org/arch/msg/ietf/NbPi05FzPbebNALxuvJskGyHbSM/> 
> [3] https://github.com/ietf/saa/blob/master/sop.md <https://github.com/ietf/saa/blob/master/sop.md> 
> 
>

---

From: Lloyd Wood <[email-masked]>
Date: Tue, 11 Aug 2020 23:12:26 +0000 (UTC)

I approve of not pursuing that internet draft to RFC publication. A static RFC as a deliberated hard instruction (with standards keywords, even) that is published at a point in time does not work well for offering evolving soft policy advice. Debating what should be included and published rapidly becomes a quagmire, consensus cannot be reached.

Still, writing drafts is the mechanism we use to present and discuss ideas in thought-out detail to the community, and in that the draft has clearly been successful. Some of the community commenting may even have read it...

However, I can't help thinking that the planned wiki resource giving official advice and listing terminology that should be avoided will, no matter how it is presented, become widely known as the IESG's master blacklist.

Lloyd [email-masked]

On Wednesday, August 12, 2020, 04:03, IETF Chair <[email-masked]> wrote:

Hi all,

Regards,
Alissa Cooper
IETF Chair

---

From: Sergeant-at-Arms <[email-masked]>
Date: Tue, 11 Aug 2020 18:56:46 -0600

Hi all,

We wanted to let the list know that the sergeant-at-arms (SAA) team
(described in more detail at [1]) has been in touch with [NAME] off-list
concerning their recent message [2] to [email-masked] under a new subject
line but on the same topic against the direction from the IETF Chair
[3]. We encourage everyone to review the IETF discussion list charter
[4] and our SOP [5].

Thanks,
Matthew Miller on behalf of the SAA team

[1] https://www.ietf.org/how/lists/discussion/
[2] https://mailarchive.ietf.org/arch/msg/ietf/UbhPgqdDNjqnL2c4LZzjWR28Q9I/
[3] https://mailarchive.ietf.org/arch/msg/ietf/t6AZcMH2S_YtldSNBlaNwPfO_P8/
[4] https://tools.ietf.org/html/rfc3005
[5] https://github.com/ietf/saa/blob/master/sop.md

---

From: Sergeant-at-Arms <[email-masked]>
Date: Tue, 11 Aug 2020 19:38:00 -0600

[ re-sending to properly indicate the individual ]

Hi all,

We wanted to let the list know that the sergeant-at-arms (SAA) team
(described in more detail at [1]) has been in touch with Lloyd Wood
off-list concerning their recent message [2] to [email-masked] under a
new subject line but on the same topic against the direction from the
IETF Chair [3]. We encourage everyone to review the IETF discussion list
charter [4] and our SOP [5].

Thanks,

---

From: Dan Harkins <[email-masked]>
Date: Tue, 11 Aug 2020 23:32:55 -0700

-1

On 8/11/20 11:09 AM, Richard Barnes wrote:
> +1
>
> On Tue, Aug 11, 2020 at 14:08 Lars Eggert <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     On 2020-8-11, at 21:02, IETF Chair <[email-masked]
>     <mailto:[email-masked]>> wrote:
>
>     > After consultation with the sergeants-at-arms and the IESG, I
>     have made the decision under RFC 3005 to block postings of further
>     messages to [email-masked] <mailto:[email-masked]> in threads with
>     the following subject lines:
>
>
>

---

From: Masataka Ohta <[email-masked]>
Date: Wed, 12 Aug 2020 16:50:37 +0900

IETF Chair wrote:

> As stated on July 23, 2020, the IESG believes the use of oppressive
> or exclusionary language is harmful. Such terminology is present in
> some IETF documents, including standards-track RFCs, and has been for
> many years.

That IESG made such statement without IETF consensus is wrong
and is the most efficient way to harm IETF.

In the statement, IESG even stated:

 > The IESG realizes that the views of the community about this topic are
 > not uniform.

which means IESG is actively aware that there is no IETF consensus.

> discussion of a related Internet-draft,

It is partly because, IESG stated in the statement that:

 > The IESG looks forward to hearing more from the community,

Now, how can you say you don't want to hear from the community?

Because oppositions from the community is far more stronger
than you expected? If so, it's time for IESG to admit its
statement not based on IETF consensus is just wrong, which is
the way to avoid further harming IETF.

> One
> suggestion made on [email-masked] [1] that received support from other
> members of the community was to explore and reference how other
> organizations and communities are approaching this issue.

Why don't you quote the relevant part of [1]?

In [1]. it is written that:

: So what I think would be good would be to have a list of words
: and phrases that external communities (e.g., governments,
: universities, corporations) are either forbidding or
: recommending against.

and because many, including me, are against to have the list
itself, we just said we are against to have the list itself
without specifically arguing against detailed way to have
the list.

That "that received support from other members of the
community" deforms the reality.

> The continued [email-masked] email list discussion on this topic is
> not benefitting anyone and is actively harmful in our collective
> pursuit of an inclusive and respectful IETF.

IETF was already badly harmed by IESG's statement actively
ignoring IETF consensus.

That we can confirm it through IETF mailing list discussion
does not mean the discussion is harming IETF any worse.

 > By contrast, the brief
 > discussion that occurred during the GENDISPATCH session at IETF 108
 > was cordial and constructive.

"brief"? Then, there shouldn't have been any real discussion.

 > On August 7, I requested [2] that participants put aside their email
 > commentary in anticipation of a to-be-scheduled GENDISPATCH interim
 > meeting where this topic will next be discussed. That request was
 > ignored.

Of course. Though you wrote something about your opinion on result
of GENDISPATCH session, S Moonesamy wrote to you:

: There was a practice to confirm working group decisions on the mailing
: list.  I could not find any message pertaining to that in the relevant
: mailing list archives.  What are the actions items?

You didn't give any answer, which is interpreted by anyone familiar
with IETF process to mean that the result of the session is not
yet formally obtained and your opinion on the yet-non-existent
result should better be ignored.

As such, your request on August 7 was not constructive one.

							Masataka Ohta

---

From: IETF Sergeant at Arms <[email-masked]>
Date: Wed, 12 Aug 2020 17:06:50 +0530

Hi all,

(described in more detail at [1]) has been in touch with Masataka Ohta 

Thanks,
Dhruv Dhody on behalf of the SAA team

[2] https://mailarchive.ietf.org/arch/msg/ietf/jxwdePey2Q6R7XgBQef5QS5paVU/

---

From: Martin Duke <[email-masked]>
Date: Wed, 12 Aug 2020 07:47:13 -0700

I agree with Alissa. Nothing good can come of this

On Wed, Aug 12, 2020, 04:37 IETF Sergeant at Arms <[email-masked]> wrote:

> https://mailarchive.ietf.org/arch/msg/ietf/jxwdePey2Q6R7XgBQef5QS5paVU/
> [3]
> https://mailarchive.ietf.org/arch/msg/ietf/t6AZcMH2S_YtldSNBlaNwPfO_P8/

---

From: Dan Harkins <[email-masked]>
Date: Wed, 12 Aug 2020 09:16:36 -0700

+1

---

From: Wendy Seltzer <[email-masked]>
Date: Wed, 12 Aug 2020 13:46:20 -0400

+1 Thank you.

--Wendy

-- 
Wendy Seltzer -- [email-masked] +1.617.715.4883 (office)
Strategy Lead and Counsel, World Wide Web Consortium (W3C)

---

From: Nadim Kobeissi <[email-masked]>
Date: Thu, 13 Aug 2020 15:08:37 +0200

RFC 3005 mentions that the following topics determine what constitute inappropriate postings to the mailing list:

    - Unsolicited bulk e-mail
    - Discussion of subjects unrelated to IETF policy, meetings,
      activities, or technical concerns
    - Unprofessional commentary, regardless of the general subject
    - Announcements of conferences, events, or activities that are not
      sponsored or endorsed by the Internet Society or IETF.

The discussion on terminology falls into none of the above categories. In contrast, the following is listed clearly as an appropriate topic of discussion:

    - Discussion of IETF administrative policies

The discussion of a proposal to revise the fundamental language, even into the past, used by the IETF due to political and ideological reasons espoused by some IETF members in the United States seems like a pretty important IETF administrative policy issue.

Furthermore, there appears to be an exceptional lack of consensus on this issue. Despite the IESG’s insistence that 

> …the IESG believes the use of oppressive

, we appear to be far from such consensus. And despite the IESG asserting that

> The IESG looks forward to hearing more from the community,

, the discussion is explicitly banned by the IESG when it appeared that the broader IETF did not at all appreciate or agree with fundamental notions of language attributed to the IETF by the IESG based on what appears to be a complete detachment from reality.

As an Arab immigrant I have never seen any of my peers even consider harm from words such as “master” or “blacklist”.

And yet, I can assure you that we have a deeply-etched understanding of the signs of cultural totalitarianism, otherization, demonization and the breakdown of institutions and discourse in favor of political fanaticism.

I have been working on protocols for many years and I do not exaggerate when I say that I am existentially frightened by what I am seeing happen in technological institutions and working groups.

I deeply oppose the IESG’s conduct regarding this matter and express worry for what is to come for the open, free and *truly* inclusive nature of our communities.

Finally, I feel great remorse at seeing bad faith automatically attributed to anyone who questions the long-term implications of these views being declared uniformly as “true” of the IETF by the IESG, and I regret to see the discussion shuttered like this.

Nadim Kobeissi
Symbolic Software • https://symbolic.software

> On 11 Aug 2020, at 8:02 PM, IETF Chair <[email-masked]> wrote:
> 
> Hi all,
>

---

From: IETF Sergeant at Arms <[email-masked]>
Date: Thu, 13 Aug 2020 19:20:05 +0530

Hi all,

(described in more detail at [1]) has been in touch with Nadim Kobeissi 

Thanks,

[2] https://mailarchive.ietf.org/arch/msg/ietf/5q24VzOoxoC_3KbIKTACQ6FvLGY/

---

From: Nadim Kobeissi <[email-masked]>
Date: Thu, 13 Aug 2020 15:58:50 +0200

I see that the emails from others above expressing *approval* for the IESG are not receiving correctional visits from the SAA, so I wanted to make sure that I expressed myself in The Correct Manner moving forward:

+1! I agree with Alissa! Thank you for taking this action! Excellent, thank you!

Nadim Kobeissi

> On 13 Aug 2020, at 3:50 PM, IETF Sergeant at Arms <[email-masked]> wrote:
> 
> Hi all,
> 
> We wanted to let the list know that the sergeant-at-arms (SAA) team (described in more detail at [1]) has been in touch with Nadim Kobeissi off-list concerning their recent message [2] to [email-masked] under a new subject line but on the same topic against the direction from the IETF Chair [3]. We encourage everyone to review the IETF discussion list charter [4] and our SOP [5].
> 
> Thanks,

---

From: Ofer Inbar <[email-masked]>
Date: Thu, 13 Aug 2020 11:53:00 -0400

> I see that the emails from others above expressing *approval* for the IESG are not receiving correctional visits from the SAA, so I wanted to make sure that I expressed myself in The Correct Manner…

I've seen emails on this thread of two sorts so far:

Quite a few emails have
1 - Expressed approval of the decision, and
2 - Not addressed any of the substantive issues from the previous discussion.

A small number of emails have
1 - Not expressed approval of the decision, and
2 - Also discussed the substance of the issues from the previous discussion.

I propose the likely possibility that variable #2, not variable #1, is
the reason the emails of the latter sort have been addressed by the SAA,
while emails of the former sort have not been.  It's just that the
correlation of the two variables has been perfect so far, I think.
  -- Cos

---

From: "STARK, BARBARA H" <[email-masked]>
Date: Thu, 13 Aug 2020 16:48:19 +0000

> > I see that the emails from others above expressing *approval* for the IESG
> are not receiving correctional visits from the SAA, so I wanted to make sure
> that I expressed myself in The Correct Manner moving forward:
> >
> 

This email expressed disapproval of the decision without discussing issues of the previous discussion, and this email was not addressed by the SAA:
https://mailarchive.ietf.org/arch/msg/ietf/UQgVv-dkk0uNhWcML8N-7sg_1nw/

Therefore, it is clearly allowed to express disapproval of the decision to end discussion. 
Barbara

---

From: Michael StJohns <[email-masked]>
Date: Thu, 13 Aug 2020 12:51:49 -0400

> The discussion of a proposal to revise the fundamental language, even into the past, used by the IETF due to political and ideological reasons espoused by some IETF members in the United States see…

I would appreciate it if the Chair would directly address the above 
point and explain how 3005 applies to the discussion rather than 
threatening a PR.

I will also note that

>     This document concerns itself with harassment that has the purpose or
>     effect of unreasonably interfering with an individual's participation
>     in IETF activities or of creating an environment within the IETF that
>     would be intimidating, hostile, or offensive in such a situation.
>     One way in which harassment can occur is when submission to such
>     conduct is made, either explicitly or implicitly, a term or condition
>     of an individual's participation in IETF activities or is used as a
>     basis for decisions affecting that individual's relationship to the
>     IETF.
from RFC 7776 which deals with harassment could apply to the Chair's 
threats of PR actions.   I don't think there's any precedent for the 
IETF management shutting off a discussion they caused by threatening 
mass posting restrictions.

To be clear - I find the discussion tiresome and wish it would go away, 
but I find it difficult to twist the 3005 language to apply to this 
discussion.

Mike

---

From: IETF Sergeant-at-Arms <[email-masked]>
Date: Thu, 13 Aug 2020 13:04:35 -0400

Hi all,

We wanted to let the list know that the sergeant-at-arms (SAA) team
(described in more detail at [1]) has determined that Nadim Kobeissi
has engaged in a pattern of abuse based on their recent substantive messages to
this list [2][3] under a new subject line but on the same topic
against the direction from the IETF Chair [4]. Their posting rights to the [email-masked] <mailto:[email-masked]> mailing list have been
restricted for the next 14 days.  We encourage everyone to review the
IETF discussion list charter [5] and our SOP [6].

Thanks,
Alissa Cooper on behalf of the SAA team

[1] https://www.ietf.org/how/lists/discussion/ <https://www.ietf.org/how/lists/discussion/>
[2] https://mailarchive.ietf.org/arch/msg/ietf/5q24VzOoxoC_3KbIKTACQ6FvLGY/ <https://mailarchive.ietf.org/arch/msg/ietf/5q24VzOoxoC_3KbIKTACQ6FvLGY/>
[3] https://mailarchive.ietf.org/arch/msg/ietf/fRi97MQxvKq6jNy1EFILFh3_dxI/ <https://mailarchive.ietf.org/arch/msg/ietf/fRi97MQxvKq6jNy1EFILFh3_dxI/>
[4] https://mailarchive.ietf.org/arch/msg/ietf/t6AZcMH2S_YtldSNBlaNwPfO_P8/ <https://mailarchive.ietf.org/arch/msg/ietf/t6AZcMH2S_YtldSNBlaNwPfO_P8/>
[5] https://tools.ietf.org/html/rfc3005 <https://tools.ietf.org/html/rfc3005>
[6] https://github.com/ietf/saa/blob/master/sop.md <https://github.com/ietf/saa/blob/master/sop.md>

> On Aug 13, 2020, at 9:58 AM, Nadim Kobeissi <[email-masked]> wrote:
>

---

From: "Scott O. Bradner" <[email-masked]>
Date: Thu, 13 Aug 2020 13:27:31 -0400

I consider this an abuse of your presumed authority 

in no way should an expression of disapproval of an IESG action be considered as a continuation
of the discussion that caused the IESG action

I also agree with Mike that there is no way to twist RFC 3005 to support the suppression of 
disapproval of your actions or the actions of the IESG

Scott

> On Aug 13, 2020, at 1:04 PM, IETF Sergeant-at-Arms <[email-masked]> wrote:
> 
> Hi all,
> 
> against the direction from the IETF Chair [4]. Their posting rights to the [email-masked] mailing list have been
> [3] https://mailarchive.ietf.org/arch/msg/ietf/fRi97MQxvKq6jNy1EFILFh3_dxI/
> [4] https://mailarchive.ietf.org/arch/msg/ietf/t6AZcMH2S_YtldSNBlaNwPfO_P8/
> [5] https://tools.ietf.org/html/rfc3005
> [6] https://github.com/ietf/saa/blob/master/sop.md
> 
>

---

From: Randy Bush <[email-masked]>
Date: Thu, 13 Aug 2020 10:29:10 -0700

> IETF discussion list charter [5] and our SOP [6].

wow!  just wow!  what a horrifying and tragic exercise of power and
censorship.  a sad and disgusting day for the ietf.

i am sure that some will be cheered that i will unsubscribe from this
authoritarian and highly biased regime.

randy

---

From: Richard Barnes <[email-masked]>
Date: Thu, 13 Aug 2020 13:32:48 -0400

As Cos and Barbara pointed out, it is not criticism of the IESG that is
being moderated.
--Richard

On Thu, Aug 13, 2020 at 1:29 PM Scott O. Bradner <[email-masked]> wrote:

> https://mailarchive.ietf.org/arch/msg/ietf/5q24VzOoxoC_3KbIKTACQ6FvLGY/
> > [3]
> https://mailarchive.ietf.org/arch/msg/ietf/fRi97MQxvKq6jNy1EFILFh3_dxI/
> > [4]
> >> I see that the emails from others above expressing *approval* for the
> IESG are not receiving correctional visits from the SAA, so I wanted to
> make sure that I expressed myself in The Correct Manner moving forward:
> >>
> off-list concerning their recent message [2] to [email-masked] under a new
> subject line but on the same topic against the direction from the IETF
> Chair [3]. We encourage everyone to review the IETF discussion list charter
> [4] and our SOP [5].
> >>>
> >>> Thanks,
> https://mailarchive.ietf.org/arch/msg/ietf/5q24VzOoxoC_3KbIKTACQ6FvLGY/
> >>> [3]
> >>>> RFC 3005 mentions that the following topics determine what constitute
> inappropriate postings to the mailing list:
> >>>> The discussion on terminology falls into none of the above
> categories. In contrast, the following is listed clearly as an appropriate
> topic of discussion:
> >>>> The discussion of a proposal to revise the fundamental language, even
> into the past, used by the IETF due to political and ideological reasons
> espoused by some IETF members in the United States seems like a pretty
> important IETF administrative policy issue.
> >>>> Furthermore, there appears to be an exceptional lack of consensus on
> this issue. Despite the IESG’s insistence that
> >>>> , the discussion is explicitly banned by the IESG when it appeared
> that the broader IETF did not at all appreciate or agree with fundamental
> notions of language attributed to the IETF by the IESG based on what
> appears to be a complete detachment from reality.
> >>>> As an Arab immigrant I have never seen any of my peers even consider
> harm from words such as “master” or “blacklist”.
> >>>> And yet, I can assure you that we have a deeply-etched understanding
> of the signs of cultural totalitarianism, otherization, demonization and
> the breakdown of institutions and discourse in favor of political
> fanaticism.
> >>>> I have been working on protocols for many years and I do not
> exaggerate when I say that I am existentially frightened by what I am
> seeing happen in technological institutions and working groups.
> >>>> I deeply oppose the IESG’s conduct regarding this matter and express
> worry for what is to come for the open, free and *truly* inclusive nature
> of our communities.
> >>>> Finally, I feel great remorse at seeing bad faith automatically
> attributed to anyone who questions the long-term implications of these
> views being declared uniformly as “true” of the IETF by the IESG, and I
> regret to see the discussion shuttered like this.
> >>>> Nadim Kobeissi
> or exclusionary language is harmful. Such terminology is present in some
> IETF documents, including standards-track RFCs, and has been for many
> years. It is at odds with our objective of creating an inclusive and
> respectful environment in the IETF, and among readers of our documents.
> >>>>>
> not benefitting anyone and is actively harmful in our collective pursuit of
> an inclusive and respectful IETF. By contrast, the brief discussion that
> >>>>> After consultation with the sergeants-at-arms and the IESG, I have
> made the decision under RFC 3005 to block postings of further messages to
> >>>>> Per the sergeants-at-arms standard operating procedures [3], anyone
> who changes the subject line and posts a substantive message on this same
> topic to [email-masked] will receive a Level 1 response from the
> >>>>> The community’s energy on this topic will be most productively spent
> by providing feedback during the GENDISPATCH interim about the resource

---

From: Melinda Shore <[email-masked]>
Date: Thu, 13 Aug 2020 09:48:27 -0800

> As Cos and Barbara pointed out, it is not criticism of the IESG that is

To the extent that a few people have included both a discussion of
the decision and criticism of the proposal in a single piece of
email, it effectively is.

I think more clarity around this would be helpful.  It should be
clearer, in particular, that discussion of the process is not out-
of-bounds.  If that discussion turns toxic, as well, it can be
dealt with at that time.  But I think limiting it now is a mistake.

Melinda

-- 
Melinda Shore
[email-masked]

---

From: Eric Heflin <[email-masked]>
Date: Thu, 13 Aug 2020 12:57:05 -0500

I agree with Scott.

---

From: Charlie Perkins <[email-masked]>
Date: Thu, 13 Aug 2020 11:04:26 -0700

Hello folks,

I also agree with Scott.

Regards,
Charlie P.

---

From: Kyle Rose <[email-masked]>
Date: Thu, 13 Aug 2020 14:08:10 -0400

+1.

The issue from the original thread aside, this is outrageous behavior by
the IETF leadership, and calls into question the very integrity of the
rough consensus process, something that requires open debate and radical
transparency, under this leadership. At this point, I have no confidence
that the actions of the IESG represent the rough consensus of the IETF.

Kyle

---

From: Toerless Eckert <[email-masked]>
Date: Thu, 13 Aug 2020 20:15:49 +0200

Randy: There seems to be more than rough consensus from many IETF leadership
representatives that this is the right course of action from the number of 
+1 reactions to this thread.

What i wonder is why there was no suggestion made as to where to continue the discussion
for folks interested in it other than on an interim. To the best of my understanding,
the rules for inclusiveness in the IETF do typically say that email is our primary
discussion channel and given how the topic was accepted for an interrim it seems not
inclusive to not also allow the discussion in email then. But maybe i am confused
about the rules.

If the topic is meant to be disucssed an a gendispatch interrim, would it not too be
appropriate to ask for the discussion to go to gendispatch mailing list until that
group has decided on a better place ? 

Cheers
    Toerless

-- 
---
[email-masked]

---

From: Nico Williams <[email-masked]>
Date: Thu, 13 Aug 2020 13:35:45 -0500

> I consider this an abuse of your presumed authority 

The IETF has been abusing its SAA function these past few years.
Download the list archive and search for posts by the SAA and the
reactions to them over the past two years and you should see at least to
previous incidents where the SAA went beyond its remit.  We also had an
AD who very inappropriately doubled as SAA -- those who serve as SAAs
should not serve in any other leadership capacity, and this should be a
hard rule.

The pattern seems to be that once the SAA crosses the line the community
chastises the SAA and then the SAA goes quiet for a year or so.  This
means that every time the SAA goes beyond its remit the SAA function
loses authority and ceases to function effectively.  Now having three
examples of this, might the SAA will learn their lesson finally?  Or
maybe since they insist on misbehaving, the SAA staff should be
replaced.

> in no way should an expression of disapproval of an IESG action be
> considered as a continuation of the discussion that caused the IESG
> action

It's rather unseemly, isn't it, to allow expressions of approval and
disallow expressions of disapproval.  Either the very first expression
of approval should have met with SAA action on account of the Chair's
silence! order, or no expressions of disapproval of the Chair's order
should have met with SAA action.  At most only continued debate should
have met with SAA action.

Nico
--

---

From: Bob Hinden <[email-masked]>
Date: Thu, 13 Aug 2020 11:59:06 -0700

If anyone has feedback on the current leadership, please let the NomCom know.  See:

https://datatracker.ietf.org/nomcom/2020/

According to this page, they will be asking for feedback on

	Wednesday, October 14, 2020: Call for community feedback

Bob

> On Aug 13, 2020, at 11:35 AM, Nico Williams <[email-masked]> wrote:
>

---

From: "Carlos M. Martinez" <[email-masked]>
Date: Thu, 13 Aug 2020 16:17:29 -0300

There may have been more “+1”s, but declaring consensus on this 
issue would be… adventurous… to put it mildly.

/Carlos

---

From: Nick Hilliard <[email-masked]>
Date: Thu, 13 Aug 2020 20:18:43 +0100

IETF Sergeant-at-Arms wrote on 13/08/2020 18:04:
> against the direction from the IETF Chair [4]. Their posting rights to 
> the [email-masked] <mailto:[email-masked]> mailing list have been
> restricted for the next 14 days.

uh, really?

Honestly, the SAA team needs to have a serious rethink about this 
decision and what it's saying.

Nick

---

From: Toerless Eckert <[email-masked]>
Date: Thu, 13 Aug 2020 21:48:19 +0200

At least there seems to be sufficient +1 from distinguished community
members such as current or past IAB, IESG members, IAB Liaison, IETF ISOC
appointee, IRTF and NomCom chair to hope that the action taken was rightfully
within the privilege of IETF chair according to the rules.

If this step was ultimately determined (by whom... ?) not to be within
the privilege of IETF chair then i am bit worried about what i would
have to think about all those +1.

On Thu, Aug 13, 2020 at 04:17:29PM -0300, Carlos M. Martinez wrote:
> 
> There may have been more ???+1???s, but declaring consensus on this issue
> would be??? adventurous??? to put it mildly.
> 
> /Carlos
>

---

From: David Schinazi <[email-masked]>
Date: Thu, 13 Aug 2020 12:53:12 -0700

>         Wednesday, October 14, 2020: Call for community feedback

I fully agree with Bob here. I plan to send feedback thanking our
leadership for making this hard call. The IETF does a good chunk
of our work on mailing lists, and ensuring those lists are productive,
professional and non-toxic is paramount to the success of the IETF.

David

---

From: Nico Williams <[email-masked]>
Date: Thu, 13 Aug 2020 14:55:11 -0500

On Thu, Aug 13, 2020 at 04:17:29PM -0300, Carlos M. Martinez wrote:
> There may have been more “+1”s, but declaring consensus on this issue would
> be… adventurous… to put it mildly.

The key words were "...from many IETF leadership representatives".
                            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
                            ^^^^

To me it looks like the quoted text is not even claiming consensus among
IETF leadership, let alone the IETF.  If anything, it's acknowledging
the _lack_ of consensus.  However, it may just be poorly phrased.  Maybe
Toerless meant that the IETF leadership considers the +1s as evidence of
rough consensus.  Funny that there should be more +1s than -1s given
that expressing disapproval gets one a suspension from the SAA.  Or that
we should determine consensus democratically now when that's not normal
procedure.

---

From: Keith Moore <[email-masked]>
Date: Thu, 13 Aug 2020 15:57:11 -0400

On 8/13/20 3:53 PM, David Schinazi wrote:

> I plan to send feedback thanking our

And I intend to send feedback to noncom arguing that the IETF leadership 
has dealt with this issue in an extremely unproductive and 
unprofessional manner, and thereby increased toxicity of IETF and done 
tremendous harm to its traditional culture of consensus-building and 
inclusion (imperfect though it may be)

Keith

---

From: Michael StJohns <[email-masked]>
Date: Thu, 13 Aug 2020 16:25:12 -0400

> within the privilege of IETF chair according to the rules.

Mike StJohns, Past IAB, Past Nomcom Chair
Scott Bradner, Past IAB, Past Area Director
Randy Bush, Past Area Director
Charlie Perkins,  Past IAB

(sorry if I've missed other roles...)

So what's your point?

In any event, my opinion is that this action was NOT taken "rightfully 
within the privilege of the IETF chair according to the rules", but I'm 
withholding further judgement until the Chair responds to my request to 
clarify which part of 3005 they believe applies and grants authority for 
a mass PR threat.

> have to think about all those +1.

I'm not sure why.  Everyone has opinions.  Some are more useful than 
others, and each of us will have an opinion on that topic as well.

Later, Mike

---

From: "Scott O. Bradner" <[email-masked]>
Date: Thu, 13 Aug 2020 16:25:51 -0400

+1

> On Aug 13, 2020, at 3:57 PM, Keith Moore <[email-masked]> wrote:
> 
> And I intend to send feedback to noncom arguing that the IETF leadership has dealt with this issue in an extremely unproductive and unprofessional manner, and thereby increased toxicity of IETF and done tremendous harm to its traditional culture of consensus-building and inclusion (imperfect though it may be)
> 
> Keith
> 
>

---

From: "Pete Resnick" <[email-masked]>
Date: Thu, 13 Aug 2020 15:29:40 -0500

> group has decided on a better place ?

Speaking as one of the two gendispatch chairs: I supported the idea of 
bringing this topic to a gendispatch interim because I think in a 
(virtual) f2f we can probably sort out a way for this discussion to be 
had in a reasonable forum, bring that solution back to the gendispatch 
list, and then have gendispatch recommend to the Gen AD what to do with 
this work. (Which is not to say that we will definitely recommend that 
the work continue; we have a number of possible outcomes. But I think we 
can successfully have that conversation.)

However, I did not, as one of the gendispatch chairs, sign up to 
moderate the entire discussion of IETF guidance or policy around 
oppressive or exclusionary language in documents. I agree with the IETF 
Chair that the discussion on the IETF list was at least unproductively 
spinning its wheels and probably causing harm in and of itself, and that 
a pause in the conversation on the IETF list was justified. I also 
understand that having a gendispatch interim and the subsequent 
discussion on the gendispatch list in order to dispatch the topic to 
some other forum (or to reject the work item) is likely to involve some 
amount of discussion on the merits of the topic, and I'm prepared to 
moderate that level of discussion. But I'm not inclined to be given the 
task to actually bring this discussion to conclusion. It's out of 
charter for gendispatch, I don't think it will be productive on the 
gendispatch list, and it's more than a bit beyond what I'm willing to 
take on right now.

I am sorry that gendispatch was unable to have dispatched this before 
the discussion on the IETF list got this far. But we are where we are. 
I'm committed to getting an interim or two scheduled for "a few days 
plus 2 weeks" from now, and to push the list to  make a recommendation 
to the AD exceedingly quickly after that. That's all I can do.

pr
-- 
Pete Resnick https://www.episteme.net/
All connections to the world are tenuous at best

---

From: Richard Barnes <[email-masked]>
Date: Thu, 13 Aug 2020 16:31:11 -0400

RFC 3005 says plainly:

"""
   Inappropriate postings include: ... Unprofessional commentary,
regardless of the general subject
   The IETF Chair, the IETF Executive Director, or a sergeant-at-arms
   appointed by the Chair is empowered to restrict posting by a person,
   or of a thread, when the content is inappropriate
"""

Given the level of unprofessional discourse in the muted conversation,
muting the entire topic seems like an entirely appropriate recourse.

--Richard

---

From: Leif Johansson <[email-masked]>
Date: Thu, 13 Aug 2020 22:35:32 +0200

Skickat från min iPhone

> 13 aug. 2020 kl. 19:29 skrev Scott O. Bradner <[email-masked]>:
> 

I agree. This has gone too far. The SAA and the IETF chair need to take a step back. This ”cure” is by magnitudes worse than any discussion on the IETF list could ever be.

---

From: Toerless Eckert <[email-masked]>
Date: Thu, 13 Aug 2020 22:40:14 +0200

> Charlie Perkins,  Past IAB

Right.

> (sorry if I've missed other roles...)

I am curious how there can be such a discrepancy even about
reading the rules. Are they badly written ?

Cheers
    Toerless

> clarify which part of 3005 they believe applies and grants authority for a
> mass PR threat.
> 
> > 
> I'm not sure why.  Everyone has opinions.  Some are more useful than others,
> and each of us will have an opinion on that topic as well.
> 
> 
> Later, Mike

---

From: Leif Johansson <[email-masked]>
Date: Thu, 13 Aug 2020 22:46:45 +0200

Skickat från min iPhone

> 13 aug. 2020 kl. 22:32 skrev Richard Barnes <[email-masked]>:
> 
> 
> RFC 3005 says plainly:
> 
> """
>    Inappropriate postings include: ... Unprofessional commentary, regardless of the general subject
> Given the level of unprofessional discourse in the muted conversation, muting the entire topic seems like an entirely appropriate recourse.
> 

I hate to point out the obvious but just because you disagree doesn’t make the other side of an argument unprofessional. That way is *dangerous* as it otherizes part of the community. 

The thread in question touched on fundamental questions of language and technology and just because a lot of people (me included) found the topic unpleasant and politically inconvenient doesn’t amount to unprofessional behavior in any way.

Leif

> --Richard
> 
>> On Thu, Aug 13, 2020 at 4:26 PM Michael StJohns <[email-masked]> wrote:

---

From: Viktor Dukhovni <[email-masked]>
Date: Thu, 13 Aug 2020 18:55:41 -0200

> On Aug 13, 2020, at 5:55 PM, Nico Williams <[email-masked]> wrote:
> 
> Funny that there should be more +1s than -1s given

Indeed.  Hard to disapprove of the apparent abuse of SAA power, when
commenting on that elicits SAA action.  I was appalled when I saw the
threat of using the SAA in this manner, and further appalled when the
SAA followed through on the threat, in response to substantive feedback
on the legitimacy of this outcome.

I am sorry I chickened out and did not object right away.  I am glad
the dam has been broken, but must admit to some lack of courage and
now some comfort from safety in numbers.  I expect many remain deterred
from voicing their opposition to recent actions.

-- 
	Viktor.

---

From: Toerless Eckert <[email-masked]>
Date: Thu, 13 Aug 2020 23:07:55 +0200

Thanks, Pete, inline

On Thu, Aug 13, 2020 at 03:29:40PM -0500, Pete Resnick wrote:
> bringing this topic to a gendispatch interim because I think in a (virtual)
> f2f we can probably sort out a way for this discussion to be had in a
> reasonable forum,

I can not see how we can have a discussion about something
that changes potentially any future RFC written (in its language),
without designating a mailing list as an authoritative place
to have and coordinate the discussion on. As i said, it would
not be inclusive to all the community members that for various reasons
would not be able to participate in an interim

(btw: this mail exchange probably would better be done on gendispatch
 as it is about how and where to have the discussion. But given how
 IETF mailman hates Bcc its really difficult to move discussions to a
 different list midflight).

> bring that solution back to the gendispatch list, and then
> have gendispatch recommend to the Gen AD what to do with this work. (Which
> is not to say that we will definitely recommend that the work continue; we
> have a number of possible outcomes. But I think we can successfully have
> that conversation.)
> 
> However, I did not, as one of the gendispatch chairs, sign up to moderate
> the entire discussion of IETF guidance or policy around oppressive or
> exclusionary language in documents.

Sure. A simple solution would be to quickly create a mailing lisst
to have the mailing list on. I for once did learn from the current
IETF mailing list exchange and will have better arguments for
a gendispatch discussion than i would have without the IETF mailing
list discussion.

> I agree with the IETF Chair that the
> discussion on the IETF list was at least unproductively spinning its wheels
> and probably causing harm in and of itself, and that a pause in the
> conversation on the IETF list was justified.

Would be great if you could explain your reasons for saying so. My
impression was exactly the opposite. Then again, this discussion
is now prohibited.

> I also understand that having a
> gendispatch interim and the subsequent discussion on the gendispatch list in
> order to dispatch the topic to some other forum (or to reject the work item)
> is likely to involve some amount of discussion on the merits of the topic,
> and I'm prepared to moderate that level of discussion. But I'm not inclined
> to be given the task to actually bring this discussion to conclusion.

Ok.

> It's out of charter for gendispatch

Ok.

> I don't think it will be productive  on the gendispatch list

Until gendispatch makes a decision, it will be very difficult
to clearly separate the process meta-discussion from the payload discussion.
Given how process meta-discussion is what gendispatch is for, it would
be most easy to have the discussion first on gendispatch and ask to focus on
the  aspect that helps on the decision making for the next step.

I think to a large extend this is already what the ietf mailing
list debate was. Using examples to scope the possible process
resulting.

> it's more than a bit beyond what I'm willing to take on right now.

Sure.

> I am sorry that gendispatch was unable to have dispatched this before the
> discussion on the IETF list got this far. But we are where we are. I'm
> committed to getting an interim or two scheduled for "a few days plus 2
> weeks" from now, and to push the list to  make a recommendation to the AD
> exceedingly quickly after that. That's all I can do.

Thanks
    Toerless

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 14 Aug 2020 09:16:38 +1200

Richard, I think you are confusing two distinct points.

1. The thread that resulted from the IESG's own posting had become utterly
pointless since it consisted entirely of two sides of the question repeating
themselves. It was quite reasonable for the IETF Chair to request people to
refrain and to take the discussion of the only relevant I-D (whatever its
merits) to the most relevant WG. I'd probably have done the same thing
in her shoes.

2. Now the SaA team has chosen to censor Nadim Kobeissi for presuming to
challenge that action. As far as I can see, Nadim's postings IN NO WAY
qualify as "a pattern of abuse". There are four in total. The two under
the subject "Terminology discussion threads" are principally about IESG
actions, not about the original topic. The second one is deeply sarcastic
but I think we all understand why. The two under the subject "IESG
Statement On Oppressive or Exclusionary Language" are IMHO quite useful
contributions compared to most of that thread,  and they were sent well
*before* the IETF Chair's request to refrain from the discussion, and
therefore cannot legitimately be considered by the SaA.

In my opinion the SaA had absolutely no grounds to censor Nadim; to
the contrary he was saying something important about the IESG. I hope
he's aware of the appeal process.

Incidentally, the SaA message included the phrase "against the direction
from the IETF Chair." It's certainly true that the Chair can give directions
to the SaA team, but the Chair can't give directions to the IETF; as Fred
Baker used to say, "I'm called the chair because everybody sits on me."

Regards
   Brian Carpenter

On 14-Aug-20 08:31, Richard Barnes wrote:
> On Thu, Aug 13, 2020 at 4:26 PM Michael StJohns <[email-masked] <mailto:[email-masked]>> wrote:
>

---

From: Michael StJohns <[email-masked]>
Date: Thu, 13 Aug 2020 19:13:22 -0400

Hi Richard - inline

> muting the entire topic seems like an entirely appropriate recourse.

Actually no.  3005 has at least two paths - abusive people and off-topic 
conversations.   The former is requires a specific person's postings to 
be identified and PR actions may be the appropriate response for those 
postings.  The latter is for things like "We should all go to RSA 
because...." and those are thread bans - generally without PR threats.

In my long (Meeting 1 on) experience with the IETF, I've never seen a 
chair ban a discussion that didn't fall in the second category.  I would 
have had no problem (or not much of a problem) with the SAA identifying 
a specific poster and a specific post that fell into the "Unprofessional 
commentary" category and giving them a warning.  That - to be very clear 
here - is NOT what happened here.

The chair may persuade or it may beg for cession of discussion on a 
topic.  It may not order, nor may the chair use the mechanism of 3005 to 
impose its will on a topic (vs a person).  3005 does not give the chair 
that authority, nor should we ever.

We've gone through probably dozens of these flare ups where the 
"leadership" says something controversial, and the "membership" pushes 
back. Once upon a time that resulted in the entire leadership structure 
being rebuilt into something new. Over time the discussion completes - 
either in an agreement, or due to exhaustion.  This case is no 
different.  How I wish that the IESG and the IAB and the Chair would 
stick to technical subjects and avoid proposing/directing 
politico-social changes.

I'm going to try and avoid commenting further here.  If you really feel 
you require a response though I'll provide it grudgingly.

Later, Mike

---

From: S Moonesamy <[email-masked]>
Date: Thu, 13 Aug 2020 16:24:19 -0700

Hi Toerless,
>reading the rules. Are they badly written ?

The interpretation of RFC 3005 is incorrectly.

Regards,
S. Moonesamy

---

From: John C Klensin <[email-masked]>
Date: Thu, 13 Aug 2020 21:39:47 -0400

Brian,

Thanks for posting this.  Rather than say "+1", I want to
emphasize two things in your note and expand a bit on one of
them.  First, I agree that the discussion had gotten out of hand
and that it was entirely reasonable and appropriate for the IETF
Chair to request people to hold the discussion for a while or
take it elsewhere.  However, the key word is "request".  I am
not aware of anyone, at any time in the IETF's history, having
the authority to shut down a discussion topic that is clearly
relevant to the IETF (if it were not, the IESG would have been
out of line for starting the discussion).  As Mike points out,
we have assorted remedies for individuals who repeatedly
generate off-topic, disruptive, or otherwise problematic
postings, but those are about individual behaviors, not subject
matter.

So, it seems to me that there are two possibilities.  One is
that the SaA team has shown extremely bad judgment in their
interpretation of what constitutes disruptive or inappropriate
behavior or that they misunderstood the scope and implications
of the IETF Chair's recommendation (not only in Nadim Kobeissi's
case but in the only slightly less clear case of Lloyd Wood on
the same subject matter)  and should reconsider and explain
their position.   The other is that this was actually done at
the specific direction of the IETF Chair, in which case I think
the specifics of that direction should be made public to the
community so we can all evaluate whether our discussions of
these actions are still appropriate in the IETF.

   john

--On Friday, August 14, 2020 09:16 +1200 Brian E Carpenter
<[email-masked]> wrote:

> 1. The thread that resulted from the IESG's own posting had
> become utterly pointless since it consisted entirely of two
> sides of the question repeating themselves. It was quite
> reasonable for the IETF Chair to request people to refrain and
> to take the discussion of the only relevant I-D (whatever its
> merits) to the most relevant WG. I'd probably have done the
> same thing in her shoes.
> 
> 2. Now the SaA team has chosen to censor Nadim Kobeissi for
> presuming to challenge that action. As far as I can see,
> Nadim's postings IN NO WAY qualify as "a pattern of abuse".
> There are four in total. The two under the subject
> "Terminology discussion threads" are principally about IESG
> actions, not about the original topic. The second one is
> deeply sarcastic but I think we all understand why. The two
> under the subject "IESG Statement On Oppressive or
> Exclusionary Language" are IMHO quite useful contributions
> compared to most of that thread,  and they were sent well
> *before* the IETF Chair's request to refrain from the
> discussion, and therefore cannot legitimately be considered by
> the SaA.
> 
> In my opinion the SaA had absolutely no grounds to censor
> Nadim; to the contrary he was saying something important about
> the IESG. I hope he's aware of the appeal process.
> 
> Incidentally, the SaA message included the phrase "against the
> direction from the IETF Chair." It's certainly true that the
> Chair can give directions to the SaA team, but the Chair can't
> give directions to the IETF; as Fred Baker used to say, "I'm
> called the chair because everybody sits on me."
> 
> Regards
>    Brian Carpenter
> 
>>    Inappropriate postings include: ... Unprofessional
>> commentary, regardless of the general subject    The IETF
>> Chair, the IETF Executive Director, or a sergeant-at-arms  
>>  appointed by the Chair is empowered to restrict posting by
>> a person,    or of a thread, when the content is
>> inappropriate """
>> 
>> Given the level of unprofessional discourse in the muted
>> conversation, muting the entire topic seems like an entirely
>> appropriate recourse.
>> 
>> --Richard
>> 
>> On Thu, Aug 13, 2020 at 4:26 PM Michael StJohns
>> <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>>     > At least there seems to be sufficient +1 from
>>     > distinguished community members such as current or past
>>     > IAB, IESG members, IAB Liaison, IETF ISOC appointee,
>>     > IRTF and NomCom chair to hope that the action taken was
>>     > rightfully within the privilege of IETF chair according
>>     > to the rules.
>> 
>>     In any event, my opinion is that this action was NOT
>>     taken "rightfully within the privilege of the IETF chair
>>     according to the rules", but I'm withholding further
>>     judgement until the Chair responds to my request to
>>     clarify which part of 3005 they believe applies and
>>     grants authority for a mass PR threat.
>> 
>>     > 
>>     > If this step was ultimately determined (by whom... ?)
>>     > not to be within the privilege of IETF chair then i am
>>     > bit worried about what i would have to think about all
>>     > those +1.
>> 
>>     I'm not sure why.  Everyone has opinions.  Some are
>>     more useful than others, and each of us will have an
>>     opinion on that topic as well.
>> 
>> 
>>     Later, Mike
>> 
>> 
>> 
>> 
>

---

From: IETF Chair <[email-masked]>
Date: Thu, 13 Aug 2020 21:48:30 -0400

Hi all,

It’s clear from the list traffic today that the process described in my message below is unworkable because the interpretation of "substantive message on this same topic” is subjective rather than objective. My apologies for the mistake. I’ve asked the secretariat to unblock the three threads listed below and restore Nadim Kobeissi’s posting privileges. Given time zones, I expect these changes will not take effect until Friday.

My view is that the threads on this list about terminology in IETF documents represented a pattern of abuse per RFC 3005. The substance and tone of the messages -- collectively -- were so difficult to bear reading that as a public communications channel, the discussion on [email-masked] was abusing anyone who chose to start reading the emails. At this point I don’t think there is a message of any kind, whether in support of or against or orthogonal to the draft or the IESG statement, that will help IETF participants make progress towards some kind of resolution on this topic until the gendispatch interim (including this message itself). I have nevertheless set the reply-to of this message to [email-masked] in case anyone thinks that will help with anything. Going forward I will be doing the minimum required of my role to guide the discussion.

I believe we wind up in this kind of situation over and over because IETF participants have no shared norms about respecting each other or demonstrating empathy towards one another. With no norms about respecting one another as human beings, no value assigned to composing thoughtful replies, and no expectation of simply treating each other with kindness on the list, our discussions devolve into toxic, snarky, knee-jerk back-and-forth. Without norms, processes like the one established in RFC 3005 are not worth much.

Last night I made a start on the repo resource mentioned below, with help from Mallory and Richard: <https://github.com/ietf/terminology>. People should feel free to do with it what they wish. I don’t want to control the content but I don’t have time tonight to sort out the admin roles in the repo. I will figure it out later and remove myself as an admin.

Regarding the IESG statement, my personal view is that it is a statement of belief of the 15 people on the IESG. That is the whole point of IESG statements. It is not a statement of consensus of the IETF -- if we wanted to publish a consensus statement, we would write an RFC. The statement said we were looking forward to hearing from the community on the topic, and I think there was a small part of me that was looking forward to it amidst the sea of dread I felt about winding up in a toxic no-win situation on the list like the one we're in now, once again. I still have a sliver of hope about progress to be made at the gendispatch interim and beyond. Personally, my belief about the use of certain terminology in technical documents being harmful is unchanged.

For avoidance of doubt, the SAA actions on this list to date are the responsibility of the SAA team under my leadership, and not the responsibility of the IESG. So no one should attribute SAA actions to the IESG.

I'm going on vacation tomorrow and I won't be reading or responding to email until I return.

Alissa Cooper
IETF Chair

> On Aug 11, 2020, at 2:02 PM, IETF Chair <[email-masked]> wrote:
> 
> Hi all,
>

---

From: Nico Williams <[email-masked]>
Date: Thu, 13 Aug 2020 21:05:01 -0500

On Thu, Aug 13, 2020 at 09:48:30PM -0400, IETF Chair wrote:
> I believe we wind up in this kind of situation over and over because
> IETF participants have no shared norms about respecting each other or
> demonstrating empathy towards one another. With no norms about
> respecting one another as human beings, no value assigned to composing
> thoughtful replies, and no expectation of simply treating each other
> with kindness on the list, our discussions devolve into toxic, snarky,
> knee-jerk back-and-forth. Without norms, processes like the one
> established in RFC 3005 are not worth much.

This is the least empathic message in all of this thread.

Some of us have been quite polite, professional, and reasoned in our
positions that do not support yours.  We get no credit.  Instead we see
insinuations and bullying by the leadership and others.

Nico
--

---

From: Viktor Dukhovni <[email-masked]>
Date: Fri, 14 Aug 2020 00:11:10 -0200

> On Aug 14, 2020, at 12:05 AM, Nico Williams <[email-masked]> wrote:
> 

Indeed not just some, but most.

I'd like to call on the SAA to advise the IETF Chair that the quoted
blanket smear on the character of the participants in the prior threads
is out of line, and an apology is owed to the IETF community, along with
an expectation that this sort of slander will not be repeated.

-- 
	Viktor.

---

From: Alissa Cooper <[email-masked]>
Date: Thu, 13 Aug 2020 22:13:41 -0400

So sorry for the offense, I will refrain from posting as much as possible going forward.

Alissa

> On Aug 13, 2020, at 10:11 PM, Viktor Dukhovni <[email-masked]> wrote:
> 
> 
>

---

From: Richard Barnes <[email-masked]>
Date: Thu, 13 Aug 2020 22:21:32 -0400

Hi Nico and Viktor,

Thanks for the reminder.  I had been meaning to follow Barbara's good
example and unsubscribe, and your demonstration of the precisely the lack
of respect and empathy that Alissa's message calls out was the perfect
send-off.

I will be unsubscribing from this list after sending this message, and
focusing my attention on what productive subgroups of the IETF still remain.

--Richard

---

From: Paul Wouters <[email-masked]>
Date: Thu, 13 Aug 2020 23:37:52 -0400

> It’s clear from the list traffic today that the process described in my message below is unworkable because the interpretation of "substantive message on this same topic” is subjective rather than…

Thanks for the message and the warning.

The last few hours has seen a lot more toxic discussions from people who feel that they must be able to say anything “because freedom”.

Unfortunately that is exactly the behaviour that was the source of the problems with this thread.

I do not want to be on such a toxic list, even more so now that as a result of this IETF Chair action reversal, those people are further emboldened in their Abu’s I’ve behaviour.

I am now unsubscribing from the list.  

Paul

---

From: "Martin Thomson" <[email-masked]>
Date: Fri, 14 Aug 2020 14:10:34 +1000

> no expectation of simply treating each other with kindness

It should be horrifying that anyone would think this.  It makes me feel ill.

As a members of this community, we have a responsibility to treat each other with respect.  And to act when others will not.  But every mail I receive from this list makes me more angry and disappointed.  And more inclined toward just walking away entirely.

I know that unsubscribing from this list is a little selfish and unlikely affirmative action, but the recent displays are intolerable.  I'll see you where the real work happens.

---

From: Melinda Shore <[email-masked]>
Date: Thu, 13 Aug 2020 21:29:32 -0800

> muting the entire topic seems like an entirely appropriate recourse.

FWIW I support moving the discussion (we do that all the time)
and do not support the SAA's message shutting down criticism of
the decision to move the discussion.  It's disappointing to see
the two things being conflated, but tends to support my growing
belief that the IETF is irredeemable.

Melinda

-- 
Melinda Shore
[email-masked]

---

From: Carsten Bormann <[email-masked]>
Date: Fri, 14 Aug 2020 07:53:07 +0200

On 2020-08-14, at 07:29, Melinda Shore <[email-masked]> wrote:
> my growing

Well, in a group of 1820 you will always find a few people who are making mistakes (I sure made some).

Mailing lists of this size may be irredeemable; for the IETF as an organization I’m seeing that self-healing processes are taking root now.

Grüße, Carsten

---

From: Nadim Kobeissi <[email-masked]>
Date: Fri, 14 Aug 2020 08:00:21 +0200

Hi everyone,
I'll keep this short (I’m not even sure it’s going to reach the mailing list.)

It is incredible that this is how the IESG has acted to intimidate and silence one of the only minorities that even bothered to say anything in this entire discussion. I’ve never played the “minority card” before in my career but I feel compelled to today because this is the first time where I actually felt I was owed a voice on a topic given that everyone insisted that it affects people like me, only to see myself not only silenced but also intimidated and falsely accused of a “pattern of abuse”. The behavior or the IESG on this topic has been shocking, unprecedented and authoritarian. I believe that there is an instance of ideologically motivated corruption happening here and intend to follow up on this within the IETF.

In their original message banning me, Alissa wrote:
> Nadim Kobeissi has engaged in a pattern of abuse based on
> their recent substantive messages to this list

In her email a few hours ago unbanning me, Alissa wrote:
> My view is that the threads on this list about terminology in
> IETF documents represented a pattern of abuse per RFC 3005

And yet I feel like it’s important to point out that the words “pattern of abuse” were not used to chastise or otherwise describe *any* of the many participants in this thread or the other thread. I wonder what RFC 7776 will have to say about this.

I wanted to provide links to all my postings on this topic so that people could independently verify where the “abuse” occurred:

1. Email expressing disapproval of the IESG’s presumed position on behalf of the IETF and the entire subject, with what I am sure was respectful and substantive feedback: https://mailarchive.ietf.org/arch/msg/ietf/XKikRaujzMZw7-tkz7WnQHbB2mk/
2. Email questioning the workability of policing terms such as “black” and “white” by drawing analogies to other fields: https://mailarchive.ietf.org/arch/msg/ietf/giHnigpaA5aZ-RHhpuZ9J9gS9xk/
3. Email questioning the application of RFC 3005 and providing more perspective, entirely drawn based on my minority background, to contest the IESG’s handling of this entire issue and to express great concern regarding the behavior of IETF leadership: https://mailarchive.ietf.org/arch/msg/ietf/5q24VzOoxoC_3KbIKTACQ6FvLGY/
4. Email sarcastically objecting to my being chided for the previous email by the SaA (sarcastic, yes, but extremely short and I’m sorry to say, not at all qualificatory as a “pattern of abuse”): https://mailarchive.ietf.org/arch/msg/ietf/fRi97MQxvKq6jNy1EFILFh3_dxI/

I want to make it very clear in my own defense: I never engaged in any lengthy back and forth, any argumentativeness, any toxicity, any trolling, etc. of any kind. And yet I feel Alissa has strongly attempted to paint me in that light and I wonder why that is. This sort of blanked insult is repeated in Alissa’s recent email:

> I believe we wind up in this kind of situation over and over because IETF participants
> have no shared norms about respecting each other or demonstrating empathy
> towards one another. 

Perhaps those whose houses are made of glass should not throw stones. I do not see where it is that I have lacked empathy, and yet I see no empathy in the choice to falsely drive out a minority as engaging in a “pattern of abuse” for respectfully participating in a discussion about the usage of so-called oppressive and exclusionary language.

Some may wonder whether I have anything constructive to say regarding how to manage terminology going forward. Here’s a suggestion:

After consultations with the IETF’s governing bodies and obtaining with them a consensus, the IESG could send a statement proposing a list of *voluntary, optional suggestions* for the authors of future RFCs to avoid the usage of certain words, including a list of those words. Each word should be accompanied by a short explanation for its inclusion in the list, and citations justifying that explanation, preferably from competent civil or academic bodies.

The IESG should stress both at the beginning and end of the statement that this is all *completely voluntary and optional*, and that measures would be taken to ensure that RFCs and IETF members are not treated differently should they decide to follow or not follow the suggestions made in this statement. Those are just my two cents on how to best move forward on this.

Finally I want to strongly encourage people not to give up on the IETF just yet, not to unsubscribe from the mailing list, etc. — this isn’t worth it and the path forward will hopefully be through more radical transparency, open discussions and a liberal and truly intellectual approach free from proselytisation and religious argumentation.

Nadim Kobeissi

> On 14 Aug 2020, at 7:29 AM, Melinda Shore <[email-masked]> wrote:
>

---

From: Rob Sayre <[email-masked]>
Date: Thu, 13 Aug 2020 23:02:03 -0700

On Thu, Aug 13, 2020 at 10:54 PM Carsten Bormann <[email-masked]> wrote:

> Mailing lists of this size may be irredeemable; for the IETF as an
> organization I’m seeing that self-healing processes are taking root now.
>

I just blocked five people in this thread. While I respect their right to
send email, I also have a right to never see them. :)

thanks,
Rob

---

From: "Bron Gondwana" <[email-masked]>
Date: Fri, 14 Aug 2020 20:48:08 +1000

> The IESG should stress both at the beginning and end of the statement that this is all *completely voluntary and optional*, and that measures would be taken to ensure that RFCs and IETF members are…

I have started work on a draft which is almost precisely what you suggest here.

I also have a suggestion which I would like to offer to everybody involved in this discussion which is to *take a pause of one week* - chat privately with others, but don't post publicly about this topic and give it time to settle and for the heat to go out.  Obviously, not everyone will take that advice, so there's a degree of self control required not to take the bait and dive back in!

I also suggest that when we come back in a week that we all try to think about what we might be able to find consensus on rather than attacking the worst possible interpretation of others' positions and heating the discussion back up.

I believe there is a willingness within the IETF to avoid using words which distract readers from our technical purpose by distracting them with external politics - and I'm working on finding wording to encode that into a draft which is respectful to everyone's views and doesn't try to push any particular ideology, but acknowledges that different communities will be distracted by different words.  To use a car anology: https://www.carthrottle.com/post/49rx9gg/

Regards,

Bron.

--
  Bron Gondwana, CEO, Fastmail Pty Ltd
  [email-masked]

---

From: "Paul Hoffman" <[email-masked]>
Date: Fri, 14 Aug 2020 07:17:50 -0700

You have now become part of the destruciton of the IETF. I'm deeply 
disappointed.

--Paul

---

From: "Paul Hoffman" <[email-masked]>
Date: Fri, 14 Aug 2020 07:23:01 -0700

My apologies, that was meant to be sent to an individual whom I have 
been in contact with off this list. It was not meant to be to anyone 
else. (I guess I'm happy to have gotten all the way to August before 
making this mistake this year...)

--Paul Hoffman

---

From: Nico Williams <[email-masked]>
Date: Fri, 14 Aug 2020 10:24:30 -0500

> dealt with at that time.  But I think limiting it now is a mistake.

Thank you so much for the above post.  I mean that sincerely.  We can be
on different sides of an issue like this one and still be kind to each
other and see how the other sides' positions can be legitimate, or
legitimate enough to be deserving of space to debate.

Nico
--

---

From: Eric Rescorla <[email-masked]>
Date: Fri, 14 Aug 2020 09:44:43 -0700

Thanks Paul. Well, said.

Despite the long history of the IETF discussion list being awful, I've
felt an obligation to stay on it. However, it has now become so bad
that I can longer do so.

I would like to thank the IESG for creating the last call list so
that it is still possible to participate in the business of the IETF
without being part of this toxic environment. I'll see you there
and in the WGs.

-Ekr

On Thu, Aug 13, 2020 at 8:38 PM Paul Wouters <[email-masked]> wrote:

> > It’s clear from the list traffic today that the process described in my
> message below is unworkable because the interpretation of "substantive
> message on this same topic” is subjective rather than objective. My
> apologies for the mistake. I’ve asked the secretariat to unblock the three
> threads listed below and restore Nadim Kobeissi’s posting privileges. Given
> time zones, I expect these changes will not take effect until Friday.
>
> The last few hours has seen a lot more toxic discussions from people who
> feel that they must be able to say anything “because freedom”.
>
> I do not want to be on such a toxic list, even more so now that as a
> result of this IETF Chair action reversal, those people are further
> emboldened in their Abu’s I’ve behaviour.
>

---

From: Christian Huitema <[email-masked]>
Date: Fri, 14 Aug 2020 10:30:14 -0700

> without being part of this toxic environment. I'll see you there

There is something systemic here. We see that behavior too many times. I
was at the receiving end of similar abuses during the RFC-ED discussions
last year and I feel the pain for Alissa, but there are many more
examples. The IETF list functions as some kind of general assembly, but
without any rules of order. The loudest voices dominate the stream and
skew the consensus, which encourages a loudest-voice behavior and
discourages consensus building.

The question is, what to do?

-- Christian Huitema

---

From: Benjamin Kaduk <[email-masked]>
Date: Fri, 14 Aug 2020 10:42:47 -0700

> The question is, what to do?

The IETF way would seem to be to write up several drafts with various
proposals and solicit comments.  Options could include:

- just shut it down
- rate-limit all posters
- create a new role specifically tasked with deescalation and
  consensus-building
- your idea here

-Ben

---

From: Nadim Kobeissi <[email-masked]>
Date: Thu, 13 Aug 2020 19:25:03 +0200

Dear Barbara,

The email you link to has a body comprised entirely of a single negative integer.

I have been accused of a “pattern of abuse” for expressing concern regarding the incorrect application of RFC 3005. The behavior or the IESG on this topic has been shocking, unprecedented and authoritarian. I believe that there is an instance of ideologically motivated corruption happening here and intend to follow up on this within the IETF.

It is incredible that this is how the IESG has acted to intimidate and silence one of the only minorities that even bothered to say anything in this entire discussion. This is incredible.

Nadim Kobeissi

> On 13 Aug 2020, at 6:48 PM, STARK, BARBARA H <[email-masked]> wrote:
>

---

From: Dan Harkins <[email-masked]>
Date: Fri, 14 Aug 2020 11:11:28 -0700

> The question is, what to do?

   How about nothing? All these public "I'm leaving" emails have one thing
in common: they say they're going to go back and focus on technology and
the good work done in working groups. So hurray for that! We should all do
that.

   This language policing exercise with draft-knodel-terminology and the 
IESG
statement is a huge distraction.

   Culture changes organically, not by diktats from on high. If IETF 
language
is going to change it will change because we all start speaking differently
in our interactions with others and it will change gradually over time.

   Let's go back to writing good technical documents describing good 
protocols.
We can all use a reminder that our target audience is global and we should
avoid idioms which tend to translate poorly. But no one is hurting 
anyone else
by using state of the art terminology (like "master key") and we don't 
need to
come up with new ways to describe these things.

   Fundamentally, we don't have a problem with language in RFCs so we don't
need to "fix" that which is not broken. We might have a problem with abusive
language on mailing lists (guilty as charged) but that's different and it is
best solved differently.

   regards,

   Dan.

---

From: Nico Williams <[email-masked]>
Date: Fri, 14 Aug 2020 13:18:09 -0500

Melinda,

I want to apologize to you for the one message I regret posting, the one
where I said "... is credibility destroying".  What I should have said,
had I put more effort into it (I've put a lot of effort into most of my
posts) is that draft-knodel-terminology has references to scholarship
about master/slave and whitelist/blacklist, but none about master {key,
this, that, the other} which it doesn't even mention, and that the bare
minimum to make "master X" beyond the pale (when it's such a useful and
widely used construction) is what Mallory did for the others.

Melinda and others,

What I would like to do now, is offer a number of you a chance to have a
1-1 videochat.  I think email is not conducive to defusing charged
debate.  I hope you will take me up on it.  I've put a great deal of
effort into stating my position (which grants the leadership a great
deal of they wanted!) in as polite and professional a manner as I could.
It is distressing to see some you quit, and some of you even blame me
specifically.

Nico
--

---

From: Benjamin Kaduk <[email-masked]>
Date: Fri, 14 Aug 2020 12:17:21 -0700

Hi Dan,

Trying to focus on the topics that have not already been covered heavily...

> > The question is, what to do?
[...]
> language on mailing lists (guilty as charged) but that's different and it is

I don't think that "language in RFCs" or "abusive language on mailing
lists" is what Christian was asking about.  Rather, the departure of many
prominent IETF contributors from the membership list of [email-masked] has
placed us in a (or, perhaps, excacerbated an existing) situation where the
membership of what is nominally the "general IETF discussion list" is not
representative of the IETF community.  As someone who is, at times, charged
with assessing IETF consensus, I feel that this calls into question the
utility of the [email-masked] list for determining consensus.  Personally, I
now have significant doubts that the results of discussion on [email-masked]
will reflect IETF consensus.  If the general list isn't useful for
determining consensus, some re-thinking of its purpose and procedures is
likely in order, as Christian alludes to.

Thanks,

Ben

---

From: Nico Williams <[email-masked]>
Date: Fri, 14 Aug 2020 15:41:26 -0500

On Fri, Aug 14, 2020 at 12:17:21PM -0700, Benjamin Kaduk wrote:
>                                     [...].  Rather, the departure of many
> will reflect IETF consensus.  [...]

That's a problem then, because the RFC publication process for the IETF
requires IETF-wide Last Calls.  Rather than abandon the list,
subscribers who are unhappy with certain debates should ignore them.

Damaging or destroying the IETF's ability to publish RFCs is truly
extreme, whether intentional or otherwise.  I'm not saying that taking
destructive steps could never be justified, but I am saying it's
extreme, and in this case not justified or not yet.

Nico
--

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 15 Aug 2020 08:50:25 +1200

On 15-Aug-20 05:30, Christian Huitema wrote:
...
> The question is, what to do?

On a previous occasion when this question was asked, the pragmatic answer
was the "Weekly posting summary for [email-masked]" which basically named
and (mildly) shamed the most frequent or loudest speakers.

I notice that this summary stopped on 2020-06-12, and it was never sent by
an official IETF tool anyway.

Perhaps it would be good to have it back, officially.

For the rest, please see the Subject header of this message, so I will
shut up now.

Regards
    Brian

---

From: Mary B <[email-masked]>
Date: Fri, 14 Aug 2020 15:59:34 -0500

Just one tidbit as far as the weekly posting list, I really didn't consider
the list as much about shaming as about who was most engaged (for good or
bad).  There's also the basic fact that some of us are *a lot* wordier than
others. I try not to get sucked into too many of these discussions but
invariably when I have done so, I was often near the top of the list.  Many
times I was 2nd as there is one person that usually writes even longer
emails than myself.

Regards,
Mary.

On Fri, Aug 14, 2020 at 3:50 PM Brian E Carpenter <
[email-masked]> wrote:

> ....

---

From: Benjamin Kaduk <[email-masked]>
Date: Fri, 14 Aug 2020 14:07:40 -0700

> extreme, and in this case not justified or not yet.

Note that, at present, IETF Last Call discussion on documents occurs on the
[email-masked] list, not the [email-masked] general list.  Perhaps that
reduced some peoples' sense of obligation to remain on [email-masked],
though that is speculation.

-Ben

---

From: Mary B <[email-masked]>
Date: Fri, 14 Aug 2020 16:15:20 -0500

I've stayed out of this discussion mostly over the past one+ weeks (I'm
loving the Gmail "Forums" category for automatically filing all these
emails so they don't sit in my inbox).  But, there is one point in Ben's
email that I want to comment on below [MB].

Regards,
Mary.

> prominent IETF contributors from the membership list of [email-masked] has
[MB] So, I guess I don't quite know what you consider a "prominent" IETF
contributor as I've only seen 5 or so folks publicly announce that they're
signing off the list, although I might have missed a few.   What I found
quite ironic is that one such "prominent IETF contributor" that posted such
is someone that used to make fun of how one of our invited plenary speakers
spoke in the Bad Attitude jabber room (I don't know if that still exists
because that was the one and only time I joined that room).  And, it's also
quite ironic that in a discussion about terminology and how we treat one
another you've chosen a term that gives some members of the community a
special standing above others.  I'm guessing there's a lot of folks that
have dropped off the list without feeling compelled to announce such to the
community.   You could have used many other adjectives - e.g., frequent,
long time, etc..   It's not a good sign IMHO when someone in leadership is
suggesting that there are community members whose opinions are more
important than others.   That makes me very uncomfortable if that's a
factor you use in determining consensus.
[/MB]

---

From: Keith Moore <[email-masked]>
Date: Fri, 14 Aug 2020 17:27:39 -0400

On 8/14/20 5:07 PM, Benjamin Kaduk wrote:

> [email-masked]  list, not [email-masked]  general list.  Perhaps that
> reduced some peoples' sense of obligation to remain [email-masked],

This sounds quite likely to me.

Keith

---

From: Benjamin Kaduk <[email-masked]>
Date: Fri, 14 Aug 2020 15:52:18 -0700

Hi Mary,

> email that I want to comment on below [MB].

And rightfully so...
> factor you use in determining consensus.

You're quite right that "prominent" is poorly chosen; my apologies and
thank you for noting it.

I was attempting to use it as a shorthand to convey two parallel concerns:

- if the people who think that their leaving is noteworthy are leaving, who
  else is leaving for the same reasons but not bothering to make an
  announcement?

- if the experts on a given topic (the "people who wrote the book", if you
  will forgive the expression) are not in the room, how do we know that the
  right people have looked at a given topic/issue/question to ensure that the
  details of that topic have been fully considered?

I do recognize that this last point bears significant similarity to your
comment about "community members whose opinions are more important than
others", but in this case I think my concerns can be characterized more as
regarding the breadth of expertise available rather than giving particular
enhanced weight to the opinions of some community members in the abstract.
The first point serves to augment the concerns, of course.

Thanks again,

Ben

P.S. I am trying to apply some modest rate-limiting to my own postings.

---

From: S Moonesamy <[email-masked]>
Date: Fri, 14 Aug 2020 16:16:14 -0700

Hi Ben,
>proposals and solicit comments.  Options could include:

The ietf@ list is a reflection of Facebook, Twitter, TikTok, etc.

>- rate-limit all posters

That is technically possible.  RFC 6729 was written for this mailing 
list.  However, it was never implemented.

>- create a new role specifically tasked with deescalation and

The following is a definition of a word: "If you say that someone is 
[removed], you mean that they are not easily upset by criticism or 
unpleasantness."  RFC 7154 was rewritten to address the 
"unpleasantness" part.  The new role option was tested previously: 
https://mailarchive.ietf.org/arch/msg/ietf/bozkj693bayoU_tj3aH27_dmje0/

>- your idea here

  -  One of the difficulties of having to disclose affiliation is that it
     encourages the person to consider whether they would have sent that
     content in their workplace.  Such a practice would allow a reasonable
     person to assess whether the discussion is a "friends and family" affair.

  - This venue is not the ideal venue for debate.  It is not the venue for
    announcements as there is a list which has been set for that purpose. It
    is not the venue to solicit reviews on a draft.  It is not a venue to
    discuss an ongoing appeal.

  - The primary purpose of the list is for last call comments.  Directorate
    reviews should be sent to the relevant Area mailing list.  Comments to
    disagree with or to encourage other subscribers to rebel against the head
    of the Area should sent to the Area mailing list.

Regards,
S. Moonesamy

---

From: Jen Linkova <[email-masked]>
Date: Sat, 15 Aug 2020 16:56:53 +1000

On Sat, Aug 15, 2020 at 5:18 AM Benjamin Kaduk <[email-masked]> wrote:
>  Rather, the departure of many
> will reflect IETF consensus.

Some people who care about IETF have left the list. Some people
apparently started blocking emails from other participants (which
increases the risk of pure technical, protocol development discussions
to happen in isolated bubbles of life-minded people).

It's very sad to see how, paradoxically, the discussion about
inclusiveness and diversity ended up being harmful for diversity and
inclusiveness at IETF.

-- 
SY, Jen Linkova aka Furry

---

From: Jared Mauch <[email-masked]>
Date: Sat, 15 Aug 2020 07:05:43 -0400

Sent from my iCar

> On Aug 14, 2020, at 4:41 PM, Nico Williams <[email-masked]> wrote:
> 
> requires IETF-wide Last Calls.  

There is the last call list (I think it's still classified as an experiment). 

> Rather than abandon the list,

It's easy for things to spiral out of control without noticing it when you are participating. 

We all have different tolerances, I'm not surprised about the unsubscribes.

---

From: Dan Harkins <[email-masked]>
Date: Sat, 15 Aug 2020 06:24:29 -0700

> The first point serves to augment the concerns, of course.

   I guess while we do not believe in kings, presidents, and voting we most
definitely do have a nomenklatura.

   Dan.

p.s. I think if you polled the lesser members of the IETF you'd find a few
published authors-- i.e. "people who wrote the book."

---

From: tom petch <[email-masked]>
Date: Sat, 15 Aug 2020 15:15:49 +0100

Ben

   The IETF way is also to fire up mailing lists to address a particular 
topic, which may or may not result in a WG, an I-D, a change in 
behaviour and so on.  With hindsight, this topic should have been 
switched to a different list at the latest by the beginning of August 
with the SAA saying discussion here is now out of order, go there 
instead or I will suspend you, which, I think, would have gained more 
support than the actions that the SAA took.

The main IETF list has had these cytokine storms many times, although I 
cannot recall people leaving the list before, so I expect they will 
happen again so someone, IETF Chair, SAA or such like should have a 
finger on the pulse and be ready to act, to divert the traffic to 
another list next time that it happens.

I go back to to the start of all this.  Look again at
"The IESG believes the use of oppressive or exclusionary language is
harmful.  Such terminology is present in some IETF documents, including
standards-track RFCs, and has been for many years."
Of all the posts I have seen since that one, I find none as offensive as 
this one; can you see it?  Can the IESG see it?

It says that oppressive or exclusionary language is present, no 
explanation, no evidence, we say it is so it is so, here are the tablets 
of stone (perhaps in text I have written, who knows?)

Wow, want to start a firestorm, well that is how you do it.  The IETF 
often describes itself as organised bottom up and the IESG is not what I 
would call the bottom.

I speculate that something happened in the IESG to trigger this but have 
no idea what that would be but that statement, to me, was always going 
to trigger aggressive responses but why the statement was worded as it 
is I cannot tell but it may be something for the IESG to reflect on.

Tom Petch

> .

---

From: Benjamin Kaduk <[email-masked]>
Date: Sat, 15 Aug 2020 10:22:55 -0700

Hi SM,

> list.  However, it was never implemented.

When you say "it was never implemented", is that RFC 6729 itself, or
specifically the "written for this mailing list" part?

> https://mailarchive.ietf.org/arch/msg/ietf/bozkj693bayoU_tj3aH27_dmje0/

I'm not entirely sure what value eliding the word in question is supposed
to provide?  I assume that it is "thick-skinned" but I am only guessing.

I also don't understand the reference to RFC 7154 being a rewrite to address
the "unpleasantness" part, as "unpleasant" does not appear in the diff from
RFC 3184 to RFC 7154
(https://tools.ietf.org/rfcdiff?url2=rfc7154&url1=rfc3184), nor does the
string "pleasant".

Could you also clarify what you mean by "the new role option was tested
previously"?  The referened message indicates that there had been a
proposal for a new "facilitator" role, but I did not see or recall any
attempt to actually try out someone in that role.  Perhaps you mean that it
has been discussed previously but not attempted due to the results of that
discussion?

>     of the Area should sent to the Area mailing list.

The formatting suggests that these are intended to be "your idea here"
proposals for what the IETF might do, but they mostly seem to be statements
relevant for general background as opposed to proposed actions; am I
missing something?

Thanks,

Ben

---

From: S Moonesamy <[email-masked]>
Date: Sat, 15 Aug 2020 17:33:18 -0700

Hi Ben,
>specifically the "written for this mailing list" part?

There was a message which did not make it to this mailing list.  The 
matter was discussed on this mailing list and the authors wrote the 
RFC to capture the proposed solution as a specification (RFC).  I 
meant that the specification was never implemented by the IETF.

>to provide?  I assume that it is "thick-skinned" but I am only guessing.

Your guess is correct.  There are words which I prefer not to use.  I 
would not prevent you or anyone else from using them.

>(https://tools.ietf.org/rfcdiff?url2=rfc7154&url1=rfc3184), nor does the

It was well-known that there was a "conduct" issue in the IETF.  One 
of the objectives of the rewrite was to provide an opportunity to 
anyone who disagrees with the document to ask for changes to it.  As 
an example, if you (used in general terms) were of the opinion that 
the guidelines should allow unpleasantness, you could have proposed 
that.  If that was the consensus, it would have been added into the document.

You won't find any of the two words as the thoughts are expressed 
through the sentences and informational references in that RFC.  The 
IESG can determine, as part of an IESG review, whether your messages 
constitute a breach of RFC 7154 if that the matter gets to that stage.

>has been discussed previously but not attempted due to the results of that

Sorry, I must have chosen the wrong message.  The message in 2016 
announcing the experiment is at 
https://mailarchive.ietf.org/arch/msg/ietf-announce/nQ-7XIKdLHvYlntNn7RB5gtnT3Q/ 
The experiment was concluded about a year after that; the results 
were viewed as a failure.

>The formatting suggests that these are intended to be "your idea here"

Yes.

>relevant for general background as opposed to proposed actions; am I

Some of the ideas could be formalized after discussion.  Going 
directly to actions [1] could cause "process" violations.

Regards,
S. Moonesamy

1. Within the context of this exchange, I do not consider publishing 
a document as an action.

---

From: Larry Masinter <[email-masked]>
Date: Sat, 15 Aug 2020 17:54:57 -0700

The IETF designs its processes in the various BCPs using the skills of protocol designers in these network-intermediated human-to-human protocols.

Meetings, virtual-meetings, emails, chat rooms, mailing lists, internet-drafts, RFCs, are all human-to-human protocols, along with nomcom and SaS.

As with most Internet protocols, we need to change how we work in response to changing conditions.  As with most Internet protocols, we have to balance the requirements of the different types of participants, and that results in some balance and sometimes friction depending on "whose ox is being gored". 

As with most Internet protocols, it is in some cases necessary to protect the systems from disruption, either by intention, or unintentional side effects of our protocol implementations.

In general, human recipients of communications (such as emails or internet drafts or published RFCs) have, as part of their input function, varying degrees of reaction "finding the language offensive", which interferes with their ability to receive the technical content of the communication.

Those who communicate with many recipients (especially through long-term archived communications such as internet-drafts and RFCs) should choose language that conveys the technical content without the "offended" reaction.
The same robustness rules apply on widely subscribed mailing lists.

Five years ago about, I left the appsarea mailing list, because I was offended, and unable to convince anyone to act further than to admonish the poster and, incredibly, me.
What heinous phrase had he used that I found so offensive?
 That I "sounded like a bulldog farting out a nest of angry wasps".
It really drove me crazy. "Why not a chihuahua? Or a Saint Bernard? 
"Why wasps and not bumblebees?"    So I unsubscribed.

My point in telling this story is that there is no clear, identifiable boundary between language that would cause participants to leave the group or choose not to engage, and language that is not. It doesn't mean there is no difference. 

The IETF is a global, apolitical technical decision-making body. Attacks on such bodies are widespread. Trolls and sock-puppets are well-known vectors for disruption, and getting us to focus on nonsense (perhaps this message? I hope not). 

In the meanwhile, try not to offend anyone, or to be easily offended.

--
https://LarryMasinter.net https://interlisp.org

---

From: Carsten Bormann <[email-masked]>
Date: Sun, 16 Aug 2020 07:27:26 +0200

On 2020-08-16, at 02:54, Larry Masinter <[email-masked]> wrote:
> 
> That I "sounded like a bulldog farting out a nest of angry wasps”.

I have a bit of trouble visualizing this, but it sure sounds like a badge of honor few can aspire to.  Thanks for relating this.

An Appsawg co-chair reacted and cited BCP 94 (which is now part of BCP 25) within two hours: <http://mailarchive.ietf.org/arch/msg/apps-discuss/7XNaat9R6vmb72wYroyRhCt49CY>

The transgression wasn’t about specific terminology, it was the whole message, which was extremely unprofessional.  It was attacking you personally, including accusing you of saying something you didn't, and mentioned your opinion only in passing.  No language sophistry was needed to detect that.

I think the process for handling such transgressions now mostly works and needn’t be part of the current discussion.

Grüße, Carsten

---

From: "John Levine" <[email-masked]>
Date: 16 Aug 2020 14:37:59 -0400

>Perhaps it would be good to have it back, officially.

As an experiment I will start posting weekly summaries similar to the
ones Thomas used to post. I'm basing them on the IETF's IMAP message
archive, using a script you can find here:

https://github.com/jrlevine/imapcount

After a few weeks we can see if they make things better or worse. If
you think there are other lists that might benefit from similar
summaries, drop me a private note.

R's,
John

-- 
Regards,
John Levine, [email-masked], Primary Perpetrator of "The Internet for Dummies",
Please consider the environment before reading this e-mail. https://jl.ly

---

From: Fernando Gont <[email-masked]>
Date: Sat, 15 Aug 2020 21:45:24 -0300

On 15/8/20 03:56, Jen Linkova wrote:
[...]
> inclusiveness and diversity ended up being harmful for diversity and

I'd rather say that this discussion has been, if anything, about 
language ("inclusive language", if you wish).

If anything, language only scratches on the surface of inclusiveness.

For the most part, whenever there have been discussions about 
inclusiveness that would affect the status quo, the consensus seemed to 
be that that wasn't on the agenda (at times describing that as "it's not 
for the IETF to do outreach").

FWIW, I haven't seen *any* discussion to, e.g., get more of the people 
directly oppressed/affected by the terminology in 
https://github.com/ietf/terminology involved in this discussion or the 
IETF in general.

Thanks,
-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492

---

From: Warren Kumari <[email-masked]>
Date: Mon, 17 Aug 2020 10:30:39 -0400

> Finally I want to strongly encourage people not to give up on the IETF just yet, not to unsubscribe from the mailing list, etc. — this isn’t worth it and the path forward will hopefully be through…

I also wasn't sure where to put this - I've been trying to figure out
how to say this for a few days, and the end of Nadim's message
resonated, so...

I'd like to ask y'all to reconsider leaving this list, because voices
matter, individually and in the aggregate. The IESG needs to know
every time it screws up (and, hopefully, if we get something right!).
I completely understand -- and agree -- that participating in the list
can be painful and difficult; but please, try to stick it out. We need
to be building the society that we want; one part of this is
participating in these uncomfortable discussions, and also letting the
"leadership" know when we mess up. I know it sometimes might not seem
like it, but we are listening, and really are trying to do the right
thing.

This list might not be where the technical work gets done, but it is
one of the places where community is built. And a community matters
for technical discussions, especially when there is dissenting opinion
or a contentious topic.

So I would like to ask you, personally, to see if you can stay here
and continue providing feedback (appropriately), so that the right
changes can be affected. Many of you have said that leaving the list
might be bad for the list and good for you -- I understand that, and
have felt the same way sometimes, but I'm imploring you to stay - the
way to affect change is to participate, not throw in the towel...

The IESG exists to serve the community. Sometimes we mess up, but
that's when it is the *most* time to participate...

W

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf

---

From: Eliot Lear <[email-masked]>
Date: Mon, 17 Aug 2020 17:06:13 +0200

> On 17 Aug 2020, at 16:30, Warren Kumari <[email-masked]> wrote:
> 
> matter, individually and in the aggregate.

+1 but from a slightly different perspective.

I think we have made some progress in improving how we interact with one another, but of course there is clearly room for improvement.  I have previously written that I view the IETF list as a plenary forum for general discussion.  That broke when we split the list into two, and now that people are leaving, we have none.

I claim that’s bad.

From time to time, some really good ideas crop up on this list, and when we run into challenges, such as COVID and the like, we need a way to communicate with one another that allows us to adapt to the times.  This list can still be quite useful, but to begin conversations that lead to discussion points, when necessary.  This is different from gendispatch in that sometimes we don’t know whether there is anything to dispatch.  But the S/N ratio is a bit of a problem.

Thinking out loud a bit, I wonder if we need to think in different terms.  As has been pointed out, and is not unique to this organization, we often have better interactions “in person”.  While we’re still learning “in person” means these days, perhaps what the key is that when difficult issues arise, we have the ability to interactively discuss, without 1,000 emails flying in every direction.

I also believe that we should allow for the fact that there is some cabin fever going on in various parts of the world, and perhaps we need a lower key way for people to take a break.  To that end, and keeping in mind John Levine’s and Patrik Fältstöm’s 
comments, I wonder if we should have a daily message limit, at least at the thread level, and if people couldn’t hold themselves to that, then at the aggregate level.  That allows for due process, fair warning, and a bit more inclusivity, perhaps even leading to people giving a lot of thought before they press <send>.

Anyway, I hope that people are open to new approaches that allow for a plenary function to continue to exist.  We need it now more than ever.

Eliot
* Yeah, I was the guy who wrote draft-lear-we-gotta-stop-meeting-like this.  Talk about Overtaken By Events.

---

From: Carsten Bormann <[email-masked]>
Date: Mon, 17 Aug 2020 17:40:53 +0200

On 2020-08-17, at 17:06, Eliot Lear <lear=[email-masked]> wrote:
> 
> now that people are leaving

Quick unscientific observation:

We recently went from about 1820 subscribers (Aug 13) to 1780 (Aug 17), so we lost about 2 %.
Unfortunately, I didn’t think to keep older data.

Grüße, Carsten

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Mon, 17 Aug 2020 11:21:28 -0500

On Fri, Aug 14, 2020 at 4:00 PM Mary B <[email-masked]> wrote:

> Just one tidbit as far as the weekly posting list, I really didn't
> consider the list as much about shaming as about who was most engaged (for
> good or bad).  There's also the basic fact that some of us are *a lot*
> wordier than others. I try not to get sucked into too many of these
> discussions but invariably when I have done so, I was often near the top of
> the list.  Many times I was 2nd as there is one person that usually writes
> even longer emails than myself.
>

That tool did remind me (just not often enough) to edit my replies so that
I wasn't tagged with all the bytes in an e-mail I was replying to (which,
itself, could have been a reply-to-reply-to-reply-to-reply ... with no
editing).

If it had reminded me to change subject lines when the conversation
drifted, it would have been perfect!

Best,

Spencer

>> .....

---

From: Warren Kumari <[email-masked]>
Date: Mon, 17 Aug 2020 13:31:03 -0400

On Mon, Aug 17, 2020 at 12:22 PM Spencer Dawkins at IETF
<[email-masked]> wrote:
>> Just one tidbit as far as the weekly posting list, I really didn't consider the list as much about shaming as about who was most engaged (for good or bad).  There's also the basic fact that some of us are *a lot* wordier than others. I try not to get sucked into too many of these discussions but invariably when I have done so, I was often near the top of the list.  Many times I was 2nd as there is one person that usually writes even longer emails than myself.
>
>
> That tool did remind me (just not often enough) to edit my replies so that I wasn't tagged with all the bytes in an e-mail I was replying to (which, itself, could have been a reply-to-reply-to-reply-to-reply ... with no editing).
>
> If it had reminded me to change subject lines when the conversation drifted, it would have been perfect!

... or if it had told me "You've replied to 3 mails on this topic in
<15 minutes. Perhaps this is a good time to get a cup of tea?". This
shouldn't be a moderation thing, but rather something similar to
Eudora's "chillis" signal for "you sounds grumpy"...

W

>
> Best,
>
> Spencer
>
>>
>>
>> Regards,
>> Mary.
>>
>>
>>
>> On Fri, Aug 14, 2020 at 3:50 PM Brian E Carpenter <[email-masked]> wrote:
>>>
>>> ......

---

From: Miles Fidelman <[email-masked]>
Date: Mon, 17 Aug 2020 13:39:45 -0400

> for technical discussions, especially when there is dissenting opinion

AND it's a place where community can be DESTROYED - by beating a dead 
horse to death, then continuing to pollute the airwaves like the stink 
of a dead woodchuck under the porch - driving people away.

> changes can be affected.

Might be nice to ALSO ask folks to get off their high horses after 
having their say - and allowing for the possibility that one doesn't 
have to beat people over the head, repeatedly, to get a point across.

Miles Fidelman

-- 
In theory, there is no difference between theory and practice.
In practice, there is.  .... Yogi Berra

Theory is when you know everything but nothing works.
Practice is when everything works but no one knows why.
In our lab, theory and practice are combined:
nothing works and no one knows why.  ... unknown

---

From: John C Klensin <[email-masked]>
Date: Mon, 17 Aug 2020 14:19:05 -0400

>...
>> That tool did remind me (just not often enough) to edit my
>> replies so that I wasn't tagged with all the bytes in an
>> e-mail I was replying to (which, itself, could have been a
>> reply-to-reply-to-reply-to-reply ... with no editing).
>> 
>> If it had reminded me to change subject lines when the
>> conversation drifted, it would have been perfect!

> .... or if it had told me "You've replied to 3 mails on this
> topic in <15 minutes. Perhaps this is a good time to get a cup
> of tea?". This shouldn't be a moderation thing, but rather
> something similar to Eudora's "chillis" signal for "you sounds
> grumpy"...

That would take a different tool than one which produces a
weekly summary.  It does suggest an idea -- especially in the
context of your comments about people leaving the list.
Perhaps if the mailing list system returned messages above, say,
the fifth in an hour on a given thread or the tenth on a given
list in 24 hours with a careful reminder and request for
confirmation before the message was distributed, that might
help.  No censorship, just a way to slow things down a bit and
slow the rate of temperature rise.   The mere fact of having a
message returned or held for confirmation would provide a small
cooling-off period.  If we could reach consensus (and borrowing
further from that Eudora idea) having such a tool detect
obnoxious terms or inflammatory rhetoric and hold them for
confirmation might be useful too.

    john

---

From: Jay Daley <[email-masked]>
Date: Tue, 18 Aug 2020 06:58:04 +1200

> On 18/08/2020, at 3:40 AM, Carsten Bormann <[email-masked]> wrote:
> 

https://www.ietf.org/status-report/ietf-progress-report.html

Jay

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Keith Moore <[email-masked]>
Date: Mon, 17 Aug 2020 15:20:27 -0400

On 8/17/20 11:06 AM, Eliot Lear wrote:

> I wonder if we should have a daily message limit, at least at the 
> thread level, and if people couldn’t hold themselves to that, then at 
> the aggregate level.  That allows for due process, fair warning, and a 
> bit more inclusivity, perhaps even leading to people giving a lot of 
> thought before they press <send>.

On the flip side, it also encourages "piling on" - lots of people trying 
to shout down one or two lone voices knowing that those voices can only 
respond to a few messages.

(That's part of why I've never been a huge fan of the weekly message 
volume summaries.   Another part is that byte count is not a good proxy 
for message text volume, though that part could be fixed.)

Keith

---

From: Keith Moore <[email-masked]>
Date: Mon, 17 Aug 2020 15:24:05 -0400

> of a dead woodchuck under the porch - driving people away.
I do think that when someone has said basically the same thing 2x or 3x, 
it might then be appropriate for the SAA to privately say to that 
individual "it looks like you're looping; maybe back off for awhile and 
see if someone else finds a way to break the logjam?"

Keith

---

From: Carsten Bormann <[email-masked]>
Date: Mon, 17 Aug 2020 21:55:41 +0200

> On 2020-08-17, at 20:58, Jay Daley <[email-masked]> wrote:
> 

Thank you!

2019-08-subcounts.csv:"ietf","1778"
2019-09-subcounts.csv:"ietf","1776"
2019-10-subcounts.csv:"ietf","3887"
2019-11-subcounts.csv:"ietf","1777"
2019-12-subcounts.csv:"ietf","1774"
2020-01-subcounts.csv:"ietf","1855"
2020-02-subcounts.csv:"ietf","1788"
2020-03-subcounts.csv:"ietf","1791"
2020-04-subcounts.csv:"ietf","1794"
2020-05-subcounts.csv:"ietf","1790"
2020-06-subcounts.csv:"ietf","1797"
2020-07-subcounts.csv:"ietf",”1799”

I’m not sure where the 3887 came from, and whether the smaller 1855 spike also was an artifact.  I also don’t know if this is counting private subscribers the same way mailman does.  Assuming that it doesn’t, and that these are end-of-month figures, we would have had ~ 1830 total at the start of August, 1820 about 10 days later (I’m not sure that really was Aug 13), and 1780 now.  That would be 2.5 % loss over the recent logorrhea.

Grüße, Carsten

PS.:
2019-10-subcounts.csv:"last-call","1724"
2019-11-subcounts.csv:"last-call","1629"
2019-12-subcounts.csv:"last-call","1596"
2020-01-subcounts.csv:"last-call","1569"
2020-02-subcounts.csv:"last-call","1559"
2020-03-subcounts.csv:"last-call","1548"
2020-04-subcounts.csv:"last-call","1538"
2020-05-subcounts.csv:"last-call","1522"
2020-06-subcounts.csv:"last-call","1512"
2020-07-subcounts.csv:"last-call",”1504"

Hmm.  Color me surprised.

---

From: Stewart Bryant <[email-masked]>
Date: Mon, 17 Aug 2020 21:07:39 +0100

> On 17 Aug 2020, at 19:19, John C Klensin <[email-masked]> wrote:
> 
> cooling-off period.  

John

Such a approach would seem inappropriate if the thread concerned a last call issue.

The risk is that the +1s trigger your message throttle/inhibit algorithm, and then perhaps lead to a genuine issue being posted.

- Stewart

---

From: Carsten Bormann <[email-masked]>
Date: Mon, 17 Aug 2020 22:19:40 +0200

On 2020-08-17, at 20:19, John C Klensin <[email-masked]> wrote:
> list in 24 hours 

Unfortunately, the software cannot determine whether progress is being made (when I would get quite angry at mailing list software that is trying to slow things down) or whether people are bloviating.  If there were a simple way for a reader to report bloviation to the mailing list system, then it could perform better actions (“1799 readers appear to believe your last three messages did not contribute to progress, do you maybe want to slow down a bit?”…).
(And here we enter the whole area of proper CSCW vs. mailing lists…  I hope not.)

Grüße, Carsten

---

From: "Carlos M. Martinez" <[email-masked]>
Date: Mon, 17 Aug 2020 17:55:28 -0300

Hi,

I was trying hard not to say anything more on the topic, but this 
comment by Tom strongly resonated with me, so here it goes:

On 15 Aug 2020, at 11:15, tom petch wrote:

> often describes itself as organised bottom up and the IESG is not what 
> I would call the bottom.

Indeed. What followed the initial IESG announcement was to be expected. 
Anyone who’s ever been remotely connected with the IETF could have 
predicted what happened after the original email.

>
> I speculate that something happened in the IESG to trigger this but 
> have no idea what that would be but that statement, to me, was always 
> going to trigger aggressive responses but why the statement was worded 
> as it is I cannot tell but it may be something for the IESG to reflect 
> on.

I would very much like to know what triggered the IESG’s announcement 
and the details of the process that produced it. Was there any external 
pressure? What was the IESG trying to accomplish ?

/Carlos

---

From: "John Levine" <[email-masked]>
Date: 17 Aug 2020 16:58:48 -0400

In article <A5CE4192E3FE9B8606D89231@PSB> you write:
>help. ...

Having been on lists that tried to do that, I can report that it
doesn't work. The people who most need to self-moderate are the ones
who say, yeah, sure, but this is IMPORTANT.

R's,
John

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 18 Aug 2020 09:05:43 +1200

Thanks for some facts, Jay.

In July 2019, ietf@ had 1781 members and last-call@ didn't exist.
In July 2020, ietf@ had 1799 members and last-call@ had 1504 members.
Now ietf@ has 1780 members.

Let's not panic.

(But we don't know how many list members have delivery suspended.)

Regards
   Brian

On 18-Aug-20 06:58, Jay Daley wrote:
> 
> 
>> On 18/08/2020, at 3:40 AM, Carsten Bormann <[email-masked] <mailto:[email-masked]>> wrote:
>>
>> On 2020-08-17, at 17:06, Eliot Lear <lear=[email-masked] <mailto:lear=[email-masked]>> wrote:
>>>
> [email-masked] <mailto:[email-masked]>
>

---

From: Warren Kumari <[email-masked]>
Date: Mon, 17 Aug 2020 17:47:33 -0400

> who say, yeah, sure, but this is IMPORTANT.

You said "people who *most* need to self-moderate" (emphasis mine) --
while true, we really really *really* don't want to have anything that
force-modeates people, so soft pressure is still helpful; even if we
don't help everyone, some people will reconsider if sending their mail
helps...
For example, someone pointed out (off-list) that I'd sent 3 emails
(7:30, 10:11, 10:31) on this and this was my warning. While this *did*
come with a smiley face, it gave me pause (and I'm still oscillating
on sending this).

Yes, some people will still bloviate / grandstand / troll, but cutting
down on even some of the knee-jerk replies helps disrupt the cycle of
the argument - https://xkcd.com/386/

While we have to be careful that this doesn't reward those thoe shout
loudest -- but, often simply being quieter both diffuses situations,
and also allows those shouting to hear their own tone.

For a while I reported to Vijay Gill; he really knew how to get my
goat -- sometimes we would be in the middle of an really fun
argument^w health debate, and as soon as it became clear that I was
winning, he'd say "I'm bored now" and walk away.
>From this I learnt that it's really hard to have an argument with
someone who won't engage -- https://www.dailymotion.com/video/x2hwqn9

W

---

From: John C Klensin <[email-masked]>
Date: Mon, 17 Aug 2020 18:31:16 -0400

--On Monday, August 17, 2020 22:19 +0200 Carsten Bormann
<[email-masked]> wrote:

>> Perhaps if the mailing list system returned messages above,
>> say, the fifth in an hour on a given thread or the tenth on a
>> given list in 24 hours 
> 
> Unfortunately, the software cannot determine whether progress
> is being made (when I would get quite angry at mailing list
> software that is trying to slow things down) or whether people
> are bloviating.  If there were a simple way for a reader to
> report bloviation to the mailing list system, then it could
> perform better actions ("1799 readers appear to believe your
> last three messages did not contribute to progress, do you
> maybe want to slow down a bit?"…). (And here we enter the
> whole area of proper CSCW vs. mailing lists…  I hope not.)

I probably should have been more clear that I didn't think was I
was suggesting would be particularly practical or effective...
and it almost certainly would have side-effects that would not
be worth the trouble.  But I wasn't commenting about progress,
quality of content, or other topics and suggesting that any
algorithm would help with them.  I was suggesting that I've seen
a lot of threads in which people who are arguing back and forth
with no evidence of careful reflection on each other's comments
(or those of others) in between and that such threads just tend
to get worse and worse.  

So, with the understanding that this reflects my biases and
ability to cope as well as being consistent with some of the
reasons people have given for unsubscribing, I think it would be
worthwhile to do some rate-limiting and/or reminding people that
they are behaving in a way that might get out of hand or
encourage others to do so.  I think that encouraging less
frequently but more thoughtful and detailed messages rather than
short, repeated, assertions would help us move forward and find
consensus in cases where that is not happening now.  I agree
with John Levine's observation about the people who most need to
self-moderate, but it takes (at least) two to get a positive
feedback reciprocal rant going.  How we get there is another
question but I think recent trends suggest that what we are
doing now isn't the way to do it and that temporary suspension
of posting privileges (or the threat thereof) of a few people
aren't going to do it... especially when those people are quite
obviously not the worst offenders.

    john

p.s. Curiously, this is an advantage of f2f meetings that we
have not learned to apply to mailing lists.  We would never, or
almost never, permit one (or two or tree) people to control a
microphone line by essentially repeating the same things at each
other over and over again, getting louder as they go.

---

From: "Patrik Fältström" <[email-masked]>
Date: Tue, 18 Aug 2020 07:38:32 +0200

On 17 Aug 2020, at 21:24, Keith Moore wrote:

> I do think that when someone has said basically the same thing 2x or 3x, it might then be appropriate for the SAA to privately say to that individual "it looks like you're looping; maybe back off for awhile and see if someone else finds a way to break the logjam?"

Unfortunately this also requires whoever is supposed to read and listen have done so. I see in too many *technical* discussions last few years that requirements and interests from some people have completely been run over. That also creates higher interest of repeated statements. Being on the rough side does not imply one should be ignored.

   Patrik

---

From: Eliot Lear <[email-masked]>
Date: Tue, 18 Aug 2020 09:53:25 +0200

> Let's not panic.

I agree.  My point is not that we panic, but that we recognize that perhaps we can do better, and even review our modalities a bit.  

Eliot

---

From: tom petch <[email-masked]>
Date: Tue, 18 Aug 2020 09:50:49 +0100

> pressure? What was the IESG trying to accomplish ?

Yes, me too!  Also, I see the use of 'The IESG' as a factor, as opposed 
to 'John Doe' or 'John Doe on behalf of ...'; that choice to me 
reinforces the tone of the statement as somewhat dogmatic, 
authoritarian, brooking no discussion; and it also causes me to wonder 
how unanimous the consensus was, that is, the more dogmatic a statement 
appears to me, the less confidence I have in the consensus behind it! 
Of course, just as an I-D is the product of a WG and it would be wrong 
to see it as the work of one or two people, so it is right to see the 
statement as the product of the IESG arrived at by whatever means they 
saw appropriate but, given the reaction to the statement, the 
consequences of the statement, then yes, I think it fair to wonder about 
the process that produced it

Tom Petch